#include "PROTHEUS.CH"
#include "RWMAKE.CH"
#include "APWEBEX.CH"
#include "TOPCONN.CH"
#include "TBICONN.CH"
#DEFINE SMSDEBUG
/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     AddOpt       Autor  Lucilene Mendes      Data 28.08.17 
+----------+------------------------------------------------------------
Descrio  Incluso de Oportunidade de Venda.						  
+-----------------------------------------------------------------------+

*/

User Function AddOpt()
Local cHtml
Local f				:= 0
Private cFilVen		:= ""
Private cCodLogin 	:= ""
Private cVendLogin	:= ""
Private cVendedor	:= ""
Private cSite	  	:= "u_PortalLogin.apw"
Private cPagina	  	:= "Homologao"
Private cTitle	  	:= "Portal SMS"
Private cMenus	  	:= ""
Private cAnexos	  	:= ""
Private cDirOpt		:= "\anexosPortal\oportunidade\"
Private cDirPortal 	:= ""
Private cEndServ 	:= "" // Endereo do servidor da pagina de Portal
Private cItensHid	:= ""
Private cBotoes		:= ""
Private cBtAddAnex	:= ""
Private cCodOpt		:= ""
Private cDescri		:= ""
Private cComplem	:= ""
Private cCliente	:= ""
Private cContato	:= ""
Private cEmail		:= ""
Private cParceiro	:= ""
Private cUF			:= ""
Private cCidade		:= ""
Private cEndereco	:= ""
Private cRegional	:= ""
Private cInicio		:= ""
Private cFim		:= ""
Private cNotas		:= ""
Private cStatus		:= ""
Private cEspecif	:= ""
Private cContEsp	:= ""
Private cStatusHom	:= ""
Private cRT			:= ""
Private cSegmento	:= ""
Private cNivel		:= ""
Private cEncer		:= ""
Private cMotivo		:= ""
Private cOptMun		:= ""

Private lNewOpt		:= .F.
Private lEdit		:= .F.              				
Private lCopy		:= .F.
Private aStatus	  	:= {}
Private aStHom	  	:= {}
Private aSegmen	  	:= {}
Private aNivel	  	:= {}
Private aAnexos   	:= {}

Web Extended Init cHtml Start U_inSite()
cVendLogin := u_GetUsrPR()
cCodLogin  := U_SetParPR(cVendLogin)
 
	If Empty(HttpSession->CodVend)
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL='+cSite+'">'	
		Return cHtml
	Else
		If !Empty(HttpSession->Superv) .and. HttpSession->Superv <> HttpSession->CodVend
			HttpSession->CodVend:= HttpSession->Superv
		Endif
	Endif

	// Pega do parmetro com o Titulo do Portal
	cTitle	:= SuperGetMV("PS_TITLE", .T., "Portal SMS")
	
	// Define a funcao a ser chama no link
	cSite	:= "u_SMSPortal.apw?PR="+cCodLogin
	
	// Monta o cabealho para a pagina
	cHeader := U_PSHeader(cTitle, cSite) 	
		
	//Funo que atualiza os menus
	cMenus := U_GetMenus(AllTrim(Upper(Procname())), cVendLogin)
	
	//Atualiza as variveis
	cEndServ := GetMv('MV_WFBRWSR')
	cCodVend := cVendLogin
	cNomeVend:= HttpSession->Nome

	
	cDescri:= '<input id="AD1_DESCRI" name="AD1_DESCRI" class="form-control text-uppercase" maxlength="'+cvaltochar(GetSX3Cache("AD1_DESCRI","X3_TAMANHO"))+'" '
	cDescri+= 'value="">'
	cDescri+= '<input type="hidden" name="OPCAO" id="OPCAO" value="3" />'
	
	//cComplem:= '<input id="AD1_DESCOP" name="AD1_DESCOP" class="form-control" maxlength="'+cvaltochar(GetSX3Cache("AD1_DESCOP","X3_TAMANHO"))+'" '
	//cComplem+= 'value="">'

	//Incio
	cInicio:= '<input id="AD1_DTINI" name="AD1_DTINI" class="form-control" '
	cInicio+= ' value="'+dtoc(date())+'" disabled >'

	//Fim
	cDiaIni:= cvaltochar(DateDiffDay(date(),AD1->AD1_DTINI))
	dDiaFim:= date()+730
	cFim:= '<input data-plugin-datepicker="" data-plugin-options='+"'"+'{"startDate": "-'+cDiaIni+'d","autoclose": "true", "language": "pt-BR",'
	cFim+= '"daysOfWeekDisabled": "","daysOfWeekHighlighted":"[0]"}'+"'"+' '
	cFim+= 'id="AD1_DTFIM" name="AD1_DTFIM" class="form-control only-numbers" type="text" '
	cFim+= ' value="'+dtoc(dDiaFim)+'"  '
	cFim+= ' onblur="javascript:vldDtFim();" disabled>'


	//Cliente 	
	cCliente:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cCliente+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"+' name="AD1_CODCLI" id="AD1_CODCLI" '
	cCliente+=' >' // disabled  
	cCliente+=' <option value="00795800">007958/00 - '+Alltrim(Posicione("SA1",1,xFilial("SA1")+'00795800',"A1_NOME"))+'</option>'
	cCliente+='</select>'
	
	//Contato
	cContato:= '<input id="AD1_CONTCL" name="AD1_CONTCL" class="form-control text-uppercase" maxlength="'+cvaltochar(GetSX3Cache("AD1_CONTCL","X3_TAMANHO"))+'" '
	cContato+= ' value="EM CONCORRENCIA">'

	//Email
	//cEmail:= '<input id="AD1_EMAIL1" name="AD1_EMAIL1" class="form-control" maxlength="'+cvaltochar(GetSX3Cache("AD1_EMAIL1","X3_TAMANHO"))+'" '
	//cEmail+= ' value="">'

	//Parceiro
	//cParceiro:= '<input id="AD1_PARC1" name="AD1_PARC1" class="form-control text-uppercase" maxlength="'+cvaltochar(GetSX3Cache("AD1_PARC1","X3_TAMANHO"))+'" '
	//cParceiro+= ' value="">'

	//Seleciona os estados disponveis no combo
	cUF:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cUF+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_UF" id="AD1_UF" ' 
	cUF+='required="" aria-required="true" onchange="javascript:SetCidade();">'                              
	cUF+='	<option value=""></option>'		
	
	//Seleciona as opes do combo
	cQry:= " Select X5_CHAVE, X5_DESCRI "
	cQry+= " From "+RetSqlName("SX5")+" SX5 "
	cQry+= " Where X5_FILIAL = '"+xFilial("SX5")+"' "
	cQry+= " And X5_TABELA = '12' "
	cQry+= " And SX5.D_E_L_E_T_ = ' ' "
	If Select("QRP") > 0
		QRP->(dbCloseArea())
	Endif	
	TcQuery cqry New Alias "QRP"

	While QRP->(!Eof())
		cUF+='	<option value="'+QRP->X5_CHAVE+'"'+Iif(Alltrim(QRP->X5_CHAVE) == AllTrim(AD1->AD1_UF),'selected','')+'>'+Alltrim(QRP->X5_CHAVE)+" - "+Alltrim(QRP->X5_DESCRI)+'</option>'
		QRP->(dbSkip())
	End
	QRP->(dbCloseArea())
		
	cUF+='</select>'	                             
	
	//Cidade
	cCidade:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cCidade+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_CIDADE" id="AD1_CIDADE" ' 
	cCidade+='required="" aria-required="true" disabled>'                              
	cCidade+='</select>'

	//Endereo
	cEndereco:= '<input id="AD1_ENDER" name="AD1_ENDER" class="form-control text-uppercase" maxlength="'+cvaltochar(GetSX3Cache("AD1_ENDER","X3_TAMANHO"))+'" '
	cEndereco+= ' value="">'
	
	
	//Regional
	cRegional:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cRegional+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_REGION" id="AD1_REGION">'   
	cRegional+='	<option value=""></option>'		

	//Seleciona as opes do combo
	cRegional+= u_ListaVend(.T.,"")
	
	cRegional+='</select>'	                             
	

	//Vendedor
	cVendedor:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cVendedor+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_VEND" id="AD1_VEND">'                              

	cVendedor+='	<option value=""></option>'		

	//Seleciona as opes do combo
	cVendedor+= u_ListaVend(.F.,"")

	cVendedor+='</select>'
	
	//Especificadora
	cEspecif:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cEspecif+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_PERCEI" id="AD1_PERCEI">'                              

	cEspecif+='	<option value=""></option>'		

	//Seleciona as opes do combo
	cQry:= " Select AC4_PARTNE, AC4_NOME "
	cQry+= " From "+RetSqlName("AC4")+" AC4 "
	cQry+= " Where AC4_FILIAL = '"+xFilial("AC4")+"' "
	cQry+= " And AC4_MSBLQL <> '1' "
	cQry+= " And AC4.D_E_L_E_T_ = ' ' "
	If Select("QRP") > 0
		QRP->(dbCloseArea())
	Endif	
	TcQuery cqry New Alias "QRP"

	While QRP->(!Eof())
		cEspecif+='	<option value="'+QRP->AC4_PARTNE+'">'+Alltrim(QRP->AC4_PARTNE)+" - "+Alltrim(QRP->AC4_NOME)+'</option>'
		QRP->(dbSkip())
	End
	QRP->(dbCloseArea())

	cEspecif+='</select>'	                             
	
	
	//Contato Especificadora
	cContEsp:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cContEsp+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_CONTAT" id="AD1_CONTAT">'                              

	cContEsp+='	<option value=""></option>'		


	//Seleciona as opes do combo
	cQry:= " Select U5_CODCONT, U5_CONTAT "
	cQry+= " From "+RetSqlName("SU5")+" SU5 "
	cQry+= " Where U5_FILIAL = '"+xFilial("SU5")+"' "
	cQry+= " And U5_MSBLQL <> '1' "
	cQry+= " And SU5.D_E_L_E_T_ = ' ' "
	If Select("QRP") > 0
		QRP->(dbCloseArea())
	Endif	
	TcQuery cqry New Alias "QRP"

		While QRP->(!Eof())
			cContEsp+='	<option value="'+QRP->U5_CODCONT+'">'+Alltrim(QRP->U5_CODCONT)+" - "+Alltrim(QRP->U5_CONTAT)+'</option>'
			QRP->(dbSkip())
		End
		QRP->(dbCloseArea())
			
	cContEsp+='</select>'

	//Status Homologao
	aStHom:= RetSx3Box(Posicione('SX3',2,'AD1_HOMOLO','X3CBox()'),,,1)
	cStatusHom:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...", "minimumResultsForSearch": "-1"}'+"'"'
	cStatusHom+=' name="AD1_HOMOLO" id="AD1_HOMOLO">'
	cStatusHom+='<option value=""></option>'
	For f:= 1 to Len(aStHom)
		cStatusHom+='	<option value="'+aStHom[f,2]+'">'+aStHom[f,3]+'</option>'
	Next
	
	cStatusHom+='</select>' 
	
	//% RT
	cRT:= '<input id="AD1_COMIRT" name="AD1_COMIRT" class="form-control text-right percentual" maxlength="'+cvaltochar(GetSX3Cache("AD1_COMIRT","X3_TAMANHO"))+'" '
	cRT+= ' value="" placeholder="0,00">'

	//Segmento
	aSegmen:= RetSx3Box(Posicione('SX3',2,'AD1_SEGMEN','X3CBox()'),,,1)
	cSegmento:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...","minimumResultsForSearch": "-1"}'+"'"'
	cSegmento+=' name="AD1_SEGMEN" id="AD1_SEGMEN">'
	cSegmento+=' <option value=""></option>'
	For f:= 1 to Len(aSegmen)
		cSegmento+='	<option value="'+aSegmen[f,1]+'" >'+aSegmen[f,1]+'</option>'
	Next
	
	cSegmento+='</select>' 
	
	//Nivel
	aNivel:= RetSx3Box(Posicione('SX3',2,'AD1_NIVOPO','X3CBox()'),,,1)
	cNivel:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...","minimumResultsForSearch": "-1"}'+"'"'
	cNivel+=' name="AD1_NIVOPO" id="AD1_NIVOPO">'
	cNivel+=' <option value=""></option>'
	For f:= 1 to Len(aNivel)
		cNivel+='	<option value="'+aNivel[f,1]+'" >'+aNivel[f,1]+'</option>'
	Next
		
	cNivel+='</select>' 

	//Observao Notas
	cNotas:= ""

	//Status
	aStatus:= RetSx3Box(Posicione('SX3',2,'AD1_STATUS','X3CBox()'),,,1)
	cStatus:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...","minimumResultsForSearch": "-1"}'+"'"'
	cStatus+=' name="AD1_STATUS" id="AD1_STATUS" onchange="javascript:vldStatus();" >'
	For f:= 1 to Len(aStatus)
		cStatus+='	<option value="'+aStatus[f,2]+'"'+Iif(f==1,'selected','')+'>'+aStatus[f,3]+'</option>'
	Next
		
	cStatus+='</select>'

	//cEncerramento
	cEncer:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cEncer+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="AD1_ENCERR" id="AD1_ENCERR" ' 
	cEncer+='required="" aria-required="true" disabled>'                              
	cEncer+='	<option value=""></option>'		

	
	//Seleciona as opes do combo
	cQry:= " Select UN_ENCERR, UN_DESC "
	cQry+= " From "+RetSqlName("SUN")+" SUN "
	cQry+= " Where UN_FILIAL = '"+xFilial("SUN")+"' "
	cQry+= " And UN_MSBLQL <> '1' "
	cQry+= " And SUN.D_E_L_E_T_ = ' ' "
	If Select("QRP") > 0
		QRP->(dbCloseArea())
	Endif	
	TcQuery cqry New Alias "QRP"

	While QRP->(!Eof())
		cEncer+='	<option value="'+QRP->UN_ENCERR+'"'+Iif(Alltrim(QRP->UN_ENCERR) == AllTrim(AD1->AD1_ENCERR),'selected','')+'>'+Alltrim(QRP->UN_ENCERR)+" - "+Alltrim(QRP->UN_DESC)+'</option>'
		QRP->(dbSkip())
	End
	QRP->(dbCloseArea())
		
		
	cEncer+='</select>'


	//Motivo Encerramento //AD1_MEMENC AD1_MTVENC
	cMotivo:= '<textarea class="form-control" rows="3" data-plugin-maxlength="" maxlength="240" id="AD1_MTVENC" name="AD1_MTVENC" disabled></textarea>'

	//Adiciona os botes da pgina
	cBotoes+='<input class="btn btn-primary" type="button" id="btSalvar" name="btSalvar" value="Salvar"/>'+chr(13)+chr(10)
	cBotoes+='<input class="btn btn-primary" type="button" id="btVoltar" name="btVoltar" value="Voltar" onclick="javascript: location.href='+"'"+'U_Oportunidade.apw?PR='+cCodLogin+"';"+'"/>'+chr(13)+chr(10)
	
	//Boto para adicionar anexos
	cBtAddAnex+= '	<div class="col-sm-3">'
	cBtAddAnex+= '		<span class="btn btn-primary" id="btAddAnex" name="btAddAnex" onclick="javascript: Anexar('+"'"+cCodLogin+"'"+');">'
	cBtAddAnex+= '			<i class="fa fa-paperclip"></i> Anexar</button>'
	cBtAddAnex+= '		</span>'
	cBtAddAnex+= '	</div>'
	//Retorna o HTML para construo da pgina 
	cHtml := H_AddOpt()
	
Web Extended End

Return (cHTML) 

