#include "PROTHEUS.CH"
#include "RWMAKE.CH"
#include "APWEBEX.CH"
#include "TOPCONN.CH"
#include "TBICONN.CH"
#DEFINE SMSDEBUG
/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     AddOrc       Autor  Lucilene Mendes      Data 28.08.17 
+----------+------------------------------------------------------------
Descrio  Incluso de Oramento de Venda.							  
+-----------------------------------------------------------------------+


*/

User Function AddPed()
Local cHtml
Local cItem 	:= ""
Local cCondNot	:= ""
Local nLin		:= 0
Local f			:= 0
Local lMoeda	:= .F.
Local lNumber	:= .F.
Local aTpFrete	:= {}
Private cFilVen		:= ""
Private cCodLogin 	:= ""
Private cVendLogin	:= ""
Private cVendedor	:= ""
Private cSite	  	:= "u_PortalLogin.apw"
Private cPagina	  	:= "Pedido de Venda"
Private cTitle	  	:= "Portal SMS"
Private cMenus	  	:= ""
Private cAnexos	  	:= ""
Private cDirOrc		:= "\anexosPortal\orcamentos\"
Private cDirPortal 	:= ""
Private cEndServ 	:= "" // Endereo do servidor da pagina de Portal
Private cOrcCabec	:= ""
Private cOrcItens	:= ""
Private cItensHid	:= ""
Private cBotoes		:= ""
Private cBtnItens	:= ""
Private cOptProd	:= ""
Private cOptCond	:= ""
Private cOptCli		:= ""
Private cOptUF		:= ""
Private cOptMun		:= ""
Private cTblDesc	:= ""
Private cUsuEmiss	:= ""
Private cNumOp		:= ""
Private cNumOrc		:= ""
Private cFilOrc		:= ""
Private cRetorno	:= ""
Private cSegmento	:= ""
Private cProsp		:= ""
Private cProspPor	:= ""
Private cPFrete		:= ""

Private cFilPed		:= ""
Private cCodOrc		:= ""
Private cCliente	:= ""
Private cContato	:= ""
Private cContDDD	:= ""
Private cContTel	:= ""
Private cTpCliente	:= ""
Private cGrpTrib	:= ""
Private cEndOpc		:= ""
Private cCondPag	:= ""
Private cLocalEnt	:= ""
Private cObra		:= ""
Private cStatusObra := ""
Private cIntermed	:= ""
Private cOport		:= ""
Private cRevOpt		:= ""
Private cRegional	:= ""
Private cTpFrete	:= ""
Private cFatPar		:= ""
Private cEstagPv	:= ""
Private cValFre		:= ""
Private cPrazoEmb	:= ""
Private cEstudo		:= ""
Private cNumEst		:= ""
Private cPrevFecha	:= ""
Private cMargemCont	:= ""
Private cTransp		:= ""
Private cRedesp		:= ""
Private cTotalReg	:= ""
Private cEntrega	:= ""
Private cEmissao	:= ""
Private cValidade	:= ""
Private cEnvpb		:= ""
Private cJust		:= ""
Private cMenNota	:= ""
Private cDesFat		:= ""
Private cOperLum	:= ""
Private cObsCom		:= ""
Private cComent		:= ""

Private nTVlrUnit	:= 0
Private nTVlrSDesc	:= 0
Private nTQtdItem   := 0
Private nTTotal		:= 0
Private nTComiss	:= 0
Private nTImpostos	:= 0
Private nTAcresc	:= 0
Private nTFrete		:= 0
Private nItens		:= 0
Private lNewOrc		:= .T.
Private lEdit		:= .F.
Private lCopy		:= .F.
Private cShowDesc	:= "false"
Private aItens	  	:= {}
Private aAnexos   	:= {}
Private aOperLum   	:= {}

	Web Extended Init cHtml Start U_inSite()

	cVendLogin := u_GetUsrPR()
	cCodLogin  := U_SetParPR(cVendLogin)

	If Empty(HttpSession->CodVend)
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL='+cSite+'">'
		Return cHtml
	Else
		If !Empty(HttpSession->Superv) .and. HttpSession->Superv <> HttpSession->CodVend
			HttpSession->CodVend:= HttpSession->Superv
		Endif
	Endif

	// Pega do parmetro com o Titulo do Portal
	cTitle	:= SuperGetMV("PS_TITLE", .T., "Portal SMS")

	// Define a funcao a ser chama no link
	cSite	:= "u_SMSPortal.apw?PR="+cCodLogin

	// Monta o cabealho para a pagina
	cHeader := U_PSHeader(cTitle, cSite)

	//Funo que atualiza os menus
	cMenus := U_GetMenus(AllTrim(Upper(Procname())), cVendLogin)

//Atualiza as variveis
	cEndServ := GetMv('MV_WFBRWSR')
	cCodVend:=cVendLogin
	cNomeVend:= HttpSession->Nome
	cItem := StrZero(1,TamSX3("C6_ITEM")[1])


	cFilPed:=	'<div class="row form-group" style="display:none;">'
	cFilPed+=	'	<div class="col-lg-2">'
	cFilPed+=	'		<label class="control-label">Filial</label>'
	cFilPed+=	'		<input id="C5_FILIAL" name="C5_FILIAL" class="form-control" value="" disabled >'
	//cFilPed+=	'		<input id="C5_VEND" name="C5_VEND" type="hidden" value="'+cVendLogin+'">'
	cFilPed+=	'	</div>'

	cCodOrc:=	'	<div class="col-lg-2" style="display:none;">'
	cCodOrc+=	'		<label class="control-label">Nmero</label>'
	cCodOrc+=	'		<input id="C5_NUM" name="C5_NUM" class="form-control" value="" disabled >'
	cCodOrc+=	'	</div>'
	cCodOrc+=	'</div>'


	cCliente:='	<div class="flexContainer">
	cCliente+='		<input type="text" class="form-control smsediticon" placeholder="Digite o cdigo, CPF/CNPJ ou Razo Social..." '
	cCliente+='		name="C5_CLIENTE" id="C5_CLIENTE"'
	cCliente+='		aria-required="true" data-live-search="true" '
	cCliente+='		autocomplete="off" value="" />'
	
	cCliente+='		<button class="btSearchCli" id="btSearchCli">'
	cCliente+='			<i class="fa fa-search" alt="Pesquisar"></i>'
	cCliente+='		</button>
	cCliente+='	</div>
	
	cOptCli+= u_ListaCli(cVendLogin,"",'S')


/*
	cCliente:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cCliente+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"+' name="C5_CLIENTE" id="C5_CLIENTE" '
	cCliente+='onchange="javascript:SelCliente()" required="" aria-required="true"> '
	cCliente+=' <option value=""> </option>'
	// Localiza os clientes
	cOptCli+= u_ListaCli(cVendLogin,"")
	cCliente+= cOptCli
	cCliente+='</select>'
*/
	//Oportunidade
	cOport:='<select data-plugin-selectTwo class="form-control poulate placeholder mb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione..."}'+"'"'
	cOport+=' name="C5_NROPOR" id="C5_NROPOR" onchange="javascript:atuRevOpt();" disabled>'
	cOport+='<option value=""></option>'
	//Busca a lista de oportunidades
	cOport+= u_ListaOpt(cVendLogin,"")
	cOport+='</select>'

	// cRevOpt:= '<input id="C5_REVISA" name="C5_REVISA" class="form-control" value="" disabled>'


	//Combo da tabela de preo
	cTabPadrao:= GetNewPar("PR_TABPADR","001")
	cTabela:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cTabela+='{ "placeholder": "Selecione", "allowClear": false }'+"'"+' name="C5_TABELA" id="C5_TABELA" '
	cTabela+='</select>'

	//Tabela de preo por filial
	cQry:= "SELECT DA0_CODTAB, DA0_DESCRI "
	cQry+= "FROM "+RetSqlName("DA0")+" DA0 "
	cQry+= "WHERE DA0_FILIAL = '"+xFilial("DA0")+"'
	cQry+= "AND DA0_ATIVO = '1' "
	cQry+= "AND (DA0_DATATE = '' OR DA0_DATATE >= '"+dtos(dDataBase)+"') "
	cQry+= "AND DA0.D_E_L_E_T_ = ' ' "
	If Select("QFIL") > 0
		QFIL->(dbCloseArea())
	Endif
	TcQuery cQry New Alias "QFIL"

	While QFIL->(!Eof())
		cTabela+='	<option value="'+Alltrim(QFIL->DA0_CODTAB)+'" '+Iif(QFIL->DA0_CODTAB == cTabPadrao,'selected','')+'>'+Alltrim(QFIL->DA0_CODTAB)+' - '+Alltrim(QFIL->DA0_DESCRI)+'</option>'
		QFIL->(dbSkip())
	End
	cTabela+='</select>'

	//Tipo de cliente
	aTpCli:= RetSx3Box(Posicione('SX3',2,'C5_TIPOCLI','X3CBox()'),,,1)
	cTpCliente:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cTpCliente+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_TIPOCLI" id="C5_TIPOCLI" '
	cTpCliente+=' disabled >'
	cTpCliente+=' <option value=""></option>'
	For f:= 1 to Len(aTpCli)
		cTpCliente+='	<option value="'+aTpCli[f,2]+'">'+aTpCli[f,3]+'</option>'
	Next
	cTpCliente+='</select>'

	//Grupo de tributao do cliente
	cGrpTrib:= '<input id="C5_GRPTRIB" name="C5_GRPTRIB" class="form-control" value="" disabled>'

	//Usuario Emissao
	cUsuEmiss:= '<input id="C5_USUEMIS" name="C5_USUEMIS" class="form-control" value="'+cVendLogin +'/'+ HttpSession->NomeFull+'" disabled>'

	//End. Opc. Ent.
	cEndOpc:=	'<input type="hidden" id="C5_ENDOPC" name="C5_ENDOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_ENDOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'

	//Contato
	cEndCep	:=	'<input id="C5_CEPOPC" name="C5_CEPOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_CEPOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndRua	:=	'<input id="C5_RUAOPC" name="C5_RUAOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_RUAOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndNum	:=	'<input id="C5_NUMOPC" name="C5_NUMOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_NUMOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndBair:=	'<input id="C5_BAIROPC" name="C5_BAIROPC" maxlength="'+cvaltochar(GetSX3Cache("C5_BAIROPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndMun	:=	'<input id="C5_MUNOPC" name="C5_MUNOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_MUNOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndUF	:=	'<input id="C5_UFOPC" name="C5_UFOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_UFOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	cEndRef	:=	'<input id="C5_REFOPC" name="C5_REFOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_REFOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'
	
	//Cliente de EntregaCJ_XCONTEL
	cCliEntr:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cCliEntr+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"
	cCliEntr+=' name="C5_CLIENT" id="C5_CLIENT" onchange="javascript:atuLocEnt();" disabled>'
	cCliEntr+=' <option data-hidden="true"></option>'
	cCliEntr+='</select>'

	//Local de entrega
	cLocalEnt:=	'<div class="flexContainer">'
	cLocalEnt+=	'	<input id="C5_UFENT" name="C5_UFENT" class="form-control" value="" disabled>' //onchange="javascript:atuVlrFrete();"
	cLocalEnt+='	<button class="btEndEntrega" id="btEndEntrega" title="Alterar endereo" disabled>'
	cLocalEnt+='		<i class="fa fa-exchange"></i>'
	cLocalEnt+='	</button>'
	cLocalEnt+='</div>'

	//Alimenta os estados
	cOptUF:= u_ListaUF()

	//Nome da obra
	// cObra:=	'<input id="C5_OBRA" name="C5_OBRA" maxlength="'+cvaltochar(GetSX3Cache("C5_OBRA","X3_TAMANHO"))+'" class="form-control text-uppercase" value="" disabled>'

	//Seleciona as condies de pagamento disponveis no combo
	cCondPag:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cCondPag+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_CONDPAG" id="C5_CONDPAG" '
	cCondPag+='required="" aria-required="true" onchange="javascript:vldCond()" disabled>'

	cCondPag+='	<option value=""></option>'

	//Verifica a tabela cadastrada no cliente
	SE4->(dbSeek(xFilial("SE4")+SA1->A1_COND))

	cCondNot:= GetNewPar("PR_CONDPNO","")
	cCondPad:= GetNewPar("PR_CONDPAD","B13")

	//Seleciona as condies de pagamento disponveis no combo
	cQry:= " Select E4_CODIGO, E4_DESCRI, E4_ACRSFIN"
	cQry+= " From "+RetSqlName("SE4")+" SE4 "
	cQry+= " Where E4_FILIAL = '"+xFilial("SE4")+"' "
	cQry+= " And E4_MSBLQL <> '1' "
	If !Empty(cCondNot)
		cQry+= " And E4_CODIGO not in "+FormatIn(cCondNot,"|")+" "
	Endif
	cQry+= " And SE4.D_E_L_E_T_ = ' ' "
	If Select("QRP") > 0
		QRP->(dbCloseArea())
	Endif
	TcQuery cqry New Alias "QRP"

	While QRP->(!Eof())
		cCondPag+='	<option value="'+QRP->E4_CODIGO+'" '+Iif(QRP->E4_CODIGO == cCondPad,'selected','')+'>'+Alltrim(QRP->E4_CODIGO)+" - "+Alltrim(QRP->E4_DESCRI)+'</option>'
		QRP->(dbSkip())
	End
	QRP->(dbCloseArea())

	cCondPag+='</select>'

	//Regional
	cRegional:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cRegional+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND1" id="C5_VEND1" '
	cRegional+='required="" aria-required="true" disabled>'
	cRegional+='<option value=""></option>'
	cRegional+= u_ListaVend(.T.,Posicione("SA3",1,xFilial("SA3")+cVendLogin,"A3_REGIONA"))
	cRegional+='</select>'

	//Vendedor do cliente
	cVend2:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cVend2+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND2" id="C5_VEND2" '
	cVend2+='disabled>' //required="" aria-required="true"
	cVend2+='<option value=""></option>'
	cVend2+= u_ListaVend(.F.,'')
	cVend2+='</select>'

	//Vendedor da oportunidade
	cVend3:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-live-search="true" data-plugin-options='+"'" 
	cVend3+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND3" id="C5_VEND3" disabled>'//required="" aria-required="true" 
	cVend3+='<option value="">Selecione...</option>'
	cVend3+= u_ListaVend(.F.,SA1->A1_VEND)
	cVend3+='</select>'

	//Vendedor 4
	cVend4:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cVend4+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND4" id="C5_VEND4" '
	cVend4+=' disabled>' //required="" aria-required="true"
	cVend4+='<option value=""></option>'
	cVend4+= u_Vend04('')
	cVend4+='</select>'

	//Especificado por
	// cEspecif:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	// cEspecif+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_CODESP" id="C5_CODESP" '
	// cEspecif+='disabled>' //required="" aria-required="true" 
	// cEspecif+='<option value=""></option>'
	// cEspecif+= u_ListaEsp('')
	// cEspecif+='</select>'

	//Negociadora
	cNegociad:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cNegociad+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_NEGOCIA" id="C5_NEGOCIA" '
	cNegociad+='disabled>' //required="" aria-required="true" 
	cNegociad+='<option value=""></option>'
	cNegociad+= u_ListaNeg('')
	cNegociad+='</select>'

	
	//Validade do Oramento
	// nDiasVal:= GetNewPar("PR_DTVALID",10)
	// cValidade:='<input type="text" id="C5_VALIDA" name="C5_VALIDA" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+'+cvaltochar(nDiasVal)+'d", "language": "pt-BR",'
	// cValidade+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true","disabled":"true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	// cValidade+='value="'+dtoc(date()+nDiasVal)+'" disabled>'

	//Data entrega
	cEntrega:='<input type="text" id="C5_DATENTR" name="C5_DATENTR" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+d", "language": "pt-BR",'
	cEntrega+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true","disabled":"true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	cEntrega+='value="'+dtoc(date())+'" disabled>'

	//Prazo de embarque
	// cPrazoEmb:= '<input id="C5_PRZEMB" name="C5_PRZEMB" maxlength="'+cvaltochar(GetSX3Cache("C5_PRZEMB","X3_TAMANHO"))+'" class="form-control" value="15" disabled>'

	//Tipo de frete
	aTpFrete:= {{"S","Sem Frete"},{"C","CIF"},{"F","FOB"}}
	cTpFrete:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cTpFrete+=' name="C5_TPFRETE" id="C5_TPFRETE" onchange="javascript:VldFrete()" disabled>'
	For f:= 1 to Len(aTpFrete)
		cTpFrete+='	<option value="'+aTpFrete[f,1]+'" '+iif(aTpFrete[f,1] == "C", 'selected', '')+' >'+aTpFrete[f,2]+'</option>'
	Next
	cTpFrete+='</select>'

	//Faturamento Parcial
	aFatPar:= {{"T",""},{"2","Sim"},{"1","No"}}
	cFatPar:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cFatPar+=' name="C5_FATPARC" id="C5_FATPARC" disabled >'
	For f:= 1 to Len(aFatPar)
		cFatPar+='	<option value="'+aFatPar[f,1]+'" '+iif(aFatPar[f,1] == "1", 'selected', '')+'>'+aFatPar[f,2]+'</option>'
	Next
	cFatPar+='</select>'

	//Estagio PV
	aEstagPv:= {{"T",""},{"1","Um"},{"2","Dois"},{"3","Trs"},{"4","Quatro"},{"5","Cinco"},{"6","Seis"},{"7","Sete"}}
	cEstagPv:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cEstagPv+=' name="C5_ESTAGIO" id="C5_ESTAGIO" disabled >'
	For f:= 1 to Len(aEstagPv)
		cEstagPv+='	<option value="'+aEstagPv[f,1]+'"  '+iif(aEstagPv[f,1] == "7", 'selected', '')+' >'+aEstagPv[f,2]+'</option>'
	Next
	cEstagPv+='</select>'

	//T. Oper. Lum
	aOperLum:= {{"1","VND"},{"2","V.ORD"},{"3","S.FAT"},{"4","RM.VOR"},{"5","REM.FAT"},{"6","IND"},{"7","SUC"},{"8","CONSER"},{"9","GARAN"},{"A","TRANSF"},{"O","OTR"},{"B","AMOS"},{"C","BON"},{"D","V.CONS"},{"E","R.CONS"},{"M","ZFM"}}
	cOperLum:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cOperLum+=' name="C5_TIPOLUM" id="C5_TIPOLUM" disabled >'
	For f:= 1 to Len(aOperLum)
		cOperLum+='	<option value="'+aOperLum[f,1]+'" '+iif(aOperLum[f,1] == "1", 'selected', '')+' >'+aOperLum[f,2]+'</option>'
	Next
	cOperLum+='</select>'

	cMailNf:= '<input id="C5_MAILNF" name="C5_MAILNF" class="form-control text-uppercase" placeholder="Email" maxlength="'+cvaltochar(GetSX3Cache("C5_MAILNF","X3_TAMANHO"))+'" '
	cMailNf+= 'value="" disabled>'

	//Data Emissao
	cEmissao:='<input type="text" id="C5_EMISSAO" name="C5_EMISSAO" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+d", "language": "pt-BR",'
	cEmissao+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true","disabled":"true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	cEmissao+='value="'+dtoc(date())+'" disabled>'

	//Envia Pato Branco
	aEnvpb:= {{"T",""},{"2","Sim"},{"1","No"}}
	cEnvpb:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cEnvpb+=' name="C5_SIBAP" id="C5_SIBAP" disabled >'
	cEnvpb+='value="" >'
	For f:= 1 to Len(aEnvpb)
		cEnvpb+='	<option value="'+aEnvpb[f,1]+'" '+iif(aEnvpb[f,1] == "1", 'selected', '')+'  >'+aEnvpb[f,2]+'</option>'
	Next
	cEnvpb+='</select>'

	// cPFrete:= '<input id="C5_PERCFRT" name="C5_PERCFRT" class="form-control text-right percentual" placeholder="0,00" maxlength="'+cvaltochar(GetSX3Cache("C5_PERCFRT","X3_TAMANHO"))+'" '
	// cPFrete+= 'value="" disabled>'

	cValFre:= '<input id="C5_FRETE" name="C5_FRETE" class="form-control money text-right" placeholder="0,00" '
	cValFre+= 'value="" disabled>'

	//% RT
	cComRT:= '<input id="C5_COMISTR" name="C5_COMISTR" class="form-control percentual text-right" placeholder="0,00" maxlength="'+cvaltochar(GetSX3Cache("C5_COMISTR","X3_TAMANHO"))+'" '
	cComRT+= 'value="" disabled>'

	//Observao Comercial
	// cObsCom:= ""

	//Margem de Contribuio
	If HttpSession->Tipo <> "R" //Representante
		cMargemCont:= '	<div class="col-lg-2"> '
		cMargemCont+= '		<label class="control-label">MC Oramento</label> '
		cMargemCont+= '		<input id="MARGEM" name="MARGEM" class="form-control" value="" disabled >'//'+u_getMCOrc() + "%"+'
		cMargemCont+= '	</div>'
	Endif

	//No. Oportun.
	// If HttpSession->Tipo <> "R" //Representante
		cNumOp:= '	<div class="col-lg-3"> '
		cNumOp+= '		<label class="control-label">No. Oportun.</label> '
		cNumOp+= '		<input id="C5_NROPOR" name="C5_NROPOR" class="form-control" value="" disabled >'//'+u_getMCOrc() + "%"+'
		cNumOp+= '	</div>'
	// Endif

	//Num Orc
	// If HttpSession->Tipo <> "R" //Representante
		cNumOrc:= '	<div class="col-lg-3"> '
		cNumOrc+= '		<label class="control-label">No. Orc.</label> '
		cNumOrc+= '		<input id="C5_YNUMORC" name="C5_YNUMORC" class="form-control" value="" disabled >'//'+u_getMCOrc() + "%"+'
		cNumOrc+= '	</div>'
	// Endif

	//Transportadora	
	cTransp:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cTransp+='{ "placeholder": "Selecione uma Transportadora", "allowClear": false }'+"'"+' name="C5_TRANSP" id="C5_TRANSP" '
	cTransp+='required="" aria-required="true" disabled > '
	cTransp+='	<option value="'+SC5->C5_TRANSP+'">'+Alltrim(Posicione("SA4",1,xFilial("SA4")+SC5->C5_TRANSP,"A4_NOME"))+'</option>'		


	//Seleciona as transportadoras disponveis no combo
	cQry:= " Select A4_COD COD, A4_NOME NOME"
	cQry+= " From "+RetSqlName("SA4")+" SA4 "
	cQry+= " Where A4_FILIAL = '"+xFilial("SA4")+"' "
	cQry+= " And A4_COD NOT IN ('"+SA1->A1_TRANSP+"','"+SC5->C5_TRANSP+"') " 
	cQry+= " And SA4.A4_MSBLQL = '2' " 
	cQry+= " And SA4.D_E_L_E_T_ = ' ' " 

	If Select("QRT")> 0
		QRT->(dbCloseArea())
	Endif	 	
	APWExOpenQuery(ChangeQuery(cQry),'QRT',.T.)
	
	While QRT->(!Eof())
		cTransp+='	<option value="'+Alltrim(QRT->COD)+'">'+Alltrim(QRT->NOME)+'</option>'
		QRT->(dbSkip())
	End	
	
	cTransp+='</select>'

	//Redespacho	
	cRedesp:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cRedesp+='{ "placeholder": "Selecione uma Transportadora", "allowClear": false }'+"'"+' name="C5_REDESP" id="C5_REDESP" '
	cRedesp+='required="" aria-required="true" disabled > '
	cRedesp+='	<option value="'+SC5->C5_REDESP+'">'+Alltrim(Posicione("SA4",1,xFilial("SA4")+SC5->C5_REDESP,"A4_NOME"))+'</option>'		
	
	//Seleciona as transportadoras disponveis no combo
	cQry:= " Select A4_COD COD, A4_NOME NOME"
	cQry+= " From "+RetSqlName("SA4")+" SA4 "
	cQry+= " Where A4_FILIAL = '"+xFilial("SA4")+"' "
	cQry+= " And A4_COD NOT IN ('"+SA1->A1_TRANSP+"','"+SC5->C5_REDESP+"') " 
	cQry+= " And SA4.A4_MSBLQL = '2' " 
	cQry+= " And SA4.D_E_L_E_T_ = ' ' " 

	If Select("QRT")> 0
		QRT->(dbCloseArea())
	Endif	 	
	APWExOpenQuery(ChangeQuery(cQry),'QRT',.T.)
	
	While QRT->(!Eof())
		cRedesp+='	<option value="'+Alltrim(QRT->COD)+'">'+Alltrim(QRT->NOME)+'</option>'
		QRT->(dbSkip())
		End	
	
	cRedesp+='</select>'
/*

//Peso
	cPeso:= '<input type="text" id="C5_XPESO" name="C5_XPESO" class="form-control text-right only-numbers" placeholder="0" '
	cPeso+= 'value="">'

//Volume
	cVolume:= '<input type="text" id="C5_XVOLUME" name="C5_XVOLUME" class="form-control text-right only-numbers" placeholder="0" '
	cVolume+= 'value="">'

//Espcie
	cEspecie:= '<input type="text" id="C5_XESPECI" name="C5_XESPECI" class="form-control" placeholder="" '
	cEspecie+= 'value="" maxlength="10">'

//Itens do oramento
/*
	aItens - array que define o cabealho da tabela de produtos
	[1] - Nome da coluna
	[2] - Nome do campo
	[3] - Tamanho
	[4] - Alinhamento
	[5] - Tipo
	[6] - Editvel
	[7] - Obrigatrio
	[8] - Moeda
	[9] - Placeholder
	[10] - Hidden
	[11] - MaxLength
*/
	aAdd(aItens, {"Item","C6_ITEM","*","text-left","C",.F.,.F.,.F.,"",.F.,""})
	aAdd(aItens, {"Produto","C6_PRODUTO","300px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Unidade","C6_UM","40px"," text-left","C",.F.,.T.,.F.,"",.F.,""})
	aAdd(aItens, {"Quant.","C6_QTDVEN","*"," text-right only-numbers","N",.T.,.T.,.F.,"0",.F.,""})
	aAdd(aItens, {"Vlr Unitrio","C6_PRCVEN","*"," text-right","N",.T.,.F.,.T.,"0,00",.F.,""})
	// aAdd(aItens, {"Vlr Lista","C6_PRUNIT","*"," text-right","N",.T.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Total","C6_VALOR","*"," text-right","N",.F.,.T.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Data Ent.","C6_ENTREG","*"," text-right","C",.F.,.F.,.F.,"",.F.,"10"})
	aAdd(aItens, {"Tip. Oper.","C6_OPER","100px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Tip. Saida","C6_TES","100px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Cod. Fisc.","C6_CF","100px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	// aAdd(aItens, {"NCM","C6_POSIPI","100px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"% Comis 2","C6_COMIS2","*"," text-right ","N",.T.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"% Comis 3","C6_COMIS3","*"," text-right ","N",.T.,.F.,.T.,"0,00",.F.,""})
	// aAdd(aItens, {"% Comis 4","C6_COMIS4","*"," text-right ","N",.F.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Ped. Cli.","C6_PEDCLI","*"," text-left","C",.T.,.F.,.F.,"",.F.,"80"})
	aAdd(aItens, {"I.Ped.Cli.","C6_IPEDCLI","*"," text-left","C",.T.,.F.,.F.,"",.F.,"80"})
	aAdd(aItens, {"Vlr c/ Impostos","C6_XPRCIMP","*","text-right","N",.F.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"Vlr de Venda","iC6_PRCVEN","*"," text-right myformato","N",.F.,.T.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"Custo","C6_CUSTO","*"," text-right myformato","N",.F.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"IPI","C6_XVALIPI","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"ICMS","C6_XVALICM","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"ICMS ST","C6_XICMST","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"% Desconto","C6_DESCONT","*"," text-right percentual","N",.T.,.F.,.T.,"0,00",/*Iif(HttpSession->Tipo <> "R",.F.,.T.)*/ .T. ,"7"})
	// aAdd(aItens, {"Diretor","C6_NOMDIRE","*"," text-left","C",.T.,.F.,.T.,"",.T.,"12"})
	aAdd(aItens, {"Vlr Comisso","VAL_COM","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"","ACAO","*"," text-center","X",.T.,.F.,.F.,"",.F.,""})

	// Cria o cabealho dos Itens
	For nLin := 1 to Len(aItens)
		cOrcCabec += '<th'+Iif(aItens[nLin,2] == "C6_VALOR",' width="'+aItens[nLin,3]+'"',Iif(aItens[nLin,2] == "C6_PRODUTO",' width="'+aItens[nLin,3]+'"',''))
		cOrcCabec+= Iif(aItens[nLin,10],' hidden','')+'>'+Iif(aItens[nLin,7],'<span class="required">*</span>',"")
		cOrcCabec+= aItens[nLin][1]+'</th>'
	Next

	//Preenchimento dos itens
	nItens++
	cOrcItens += '<tr class="odd" id="linha01">'
	For nLin := 1 to Len(aItens)

		If aItens[nLin,2] == "ACAO"
			cOrcItens += '<td class="actions">'
			cOrcItens += '	<i class="fa fa-info fa-lg" data-toggle="tooltip" data-original-title="Detalhes da linha" onclick="detalhePed('+"'"+cItem+"'"+');"></i>'
			cOrcItens += '  <i class="fa fa-times-circle fa-lg" data-toggle="tooltip" data-original-title="Remover a linha" onclick="removeItem('+"'"+cItem+"'"+');"></i>
			cOrcItens += '</td>
		Else
			If aItens[nLin,2] == "C6_PRODUTO"
				cOrcItens += '<td>' //class="form-group row pb-4"
			Else
				cOrcItens += '<td'+Iif(aItens[nLin,10],' hidden','')+'>'
			Endif
			lMoeda:= aItens[nLin,8] //Indica se  Moeda
			lNumber:= aItens[nLin,5] = "N" //Indica que  numrico
			xValue:= ""
			Do Case
				Case aItens[nLin][5] == 'C'
					If aItens[nLin,2] == "C6_ITEM"
						xValue := "01"
					Else
						xValue :=""
					Endif
				Case aItens[nLin][5] == 'N'
					If aItens[nLin,2] == "C6_QTDVEN"
						xValue := Iif(lNewOrc,"",Alltrim(PadR(TransForm(QRY->&(aItens[nLin][2]),PesqPict("SC6",aItens[nLin,2])),space(GetSX3Cache(aItens[nLin][2],"X3_TAMANHO")))))
					ElseIf aItens[nLin,2] == "PER_COM"
						xValue := Iif(lNewOrc,"0",Alltrim(PadR(TransForm(QRY->&(aItens[nLin][2]),PesqPict("SD2","D2_COMIS1")),space(GetSX3Cache("D2_COMIS1","X3_TAMANHO")))))
					ElseIf aItens[nLin,2] == "VAL_COM"
						xValue := Iif(lNewOrc,"0",Alltrim(PadR(TransForm(QRY->&(aItens[nLin][2]),PesqPict("SC6","C6_PRCVEN")),space(GetSX3Cache("C6_PRCVEN","X3_TAMANHO")))))
					Elseif aItens[nLin,2] == "iC6_PRCVEN"
						xValue := Iif(lNewOrc,"0",Alltrim(PadR(TransForm(QRY->&(aItens[nLin][2]),PesqPict("SC6","C6_PRCVEN")),space(GetSX3Cache("C6_PRCVEN","X3_TAMANHO")))))
					Else
						xValue := Iif(lNewOrc,"0",Alltrim(PadR(TransForm(QRY->&(aItens[nLin][2]),PesqPict("SC6",aItens[nLin,2])),space(GetSX3Cache(aItens[nLin][2],"X3_TAMANHO")))))
					Endif
			EndCase

			If aItens[nLin,6] //Campo Editvel
					
				cOrcItens += '<input id="'+aItens[nLin][2]+cItem+'" data-prop="'+aItens[nLin][2]+'" name="'+aItens[nLin][2]+cItem+'" class="form-control '+aItens[nLin,4]
				cOrcItens +=If(lMoeda," ",If(lNumber," only-numbers",""))+'" type="text" '
				//cOrcItens +=If(lMoeda," money5",If(lNumber," only-numbers",""))+'" type="text" '
				cOrcItens += 'placeholder="'+aItens[nLin,9]+'" '
				//Atribui as funes javascript
				If aItens[nLin,2] == "C6_QTDVEN"
					cOrcItens+='onblur="javascript:VldQtd('+"'"+cItem+"'"+') "'
				Endif
				If aItens[nLin,2] == "iC6_PRCVEN"
					cOrcItens+='onblur="javascript:VldValor('+"'"+cItem+"'"+') "'
				Endif

				If aItens[nLin,2] == "C6_DESCONT"
					cVldDesc:= Iif(GetMv("LC_OR1012A",,.F.),'S','N')
					cOrcItens+='onblur="javascript:VldValor('+"'"+cItem+"'"+','+"'"+cVldDesc+"'"+')" maxlength="7" '
					//cOrcItens+='onkeyup="formate()" onblur="javascript:VldValor('+"'"+cItem+"'"+') "'
				Endif

				If aItens[nLin,2] $ ("C6_QTDVEN|iC6_PRCVEN|C6_DESCONT")
					cOrcItens+='onkeyup="javascript:TotalItem('+"'"+cItem+"'"+') "'
				Endif

				If aItens[nLin,2] $ ("C6_COMIS2|C6_COMIS3|C6_COMIS4")
					cOrcItens+='onkeyup="javascript:validaComis('+"'"+cItem+"'"+', this) "'
				Endif

				//Campo obrigatrio
				cOrcItens += Iif(aItens[nLin][7],'required="" aria-required="true" ','')
				//Inicia todos os campos desabilitados
				cOrcItens += 'disabled '
				cOrcItens += 'value="'+Alltrim(xValue)+'">'
			
			Else
				If aItens[nLin,2] = "C6_PRODUTO"
					//Cria o select para o produto
					cOrcItens +='<div class="form-group">'
					cOrcItens +='	<div class="col-md-12">
					cOrcItens +='		<div class="flexContainer">
					cOrcItens +='			<input type="text" class="form-control smsediticon" placeholder="Digite o cdigo ou descrio..." '
					cOrcItens +='			name="C6_PRODUTO'+cItem+'" id="C6_PRODUTO'+cItem+'"'
					cOrcItens += 			Iif(aItens[nLin][7],'required="" aria-required="true" ','')+' data-live-search="true" '
					cOrcItens +='			autocomplete="off" value="" / disabled>'

					cOrcItens +='			<button class="btSearch" id="btSearch"'+cItem+'>'
					cOrcItens +='				<i class="fa fa-search" alt="Pesquisar"></i>'
					cOrcItens +='			</button>
					cOrcItens +='		</div>
					cOrcItens +='	</div>
					cOrcItens +='</div>
				Else
					cOrcItens += '<input id="'+aItens[nLin][2]+cItem+'" data-prop="'+aItens[nLin][2]+'" name="'+aItens[nLin][2]+cItem+'" class="form-control '+aItens[nLin,4]+' input-block" '
					If aItens[nLin,2] = "C6_ITEM"
						cOrcItens += ' size=4 '
					Endif
					cOrcItens += 'type="text" disabled width="" '
					cOrcItens += 'value="'+Alltrim(xValue)+'">'
				Endif
			Endif
		Endif

		cOrcItens += '</td>'
	Next

	//Inputs Hidden
	cItensHid += '<input type="hidden" class="" id="C6_COMIS4'+cItem+'" name="C6_COMIS4'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="C6_PRUNIT'+cItem+'" name="C6_PRUNIT'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="C6_POSIPI'+cItem+'" name="C6_POSIPI'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="ALIQ_ICMS'+cItem+'" name="ALIQ_ICMS'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="ALIQ_IPI'+cItem+'" name="ALIQ_IPI'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="ALIQ_ST'+cItem+'" name="ALIQ_ST'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="VAL_ICMS'+cItem+'" name="VAL_ICMS'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="VAL_IPI'+cItem+'" name="VAL_IPI'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="VAL_ST'+cItem+'" name="VAL_ST'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="BASE_ICMS'+cItem+'" name="BASE_ICMS'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="BASE_ST'+cItem+'" name="BASE_ST'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="BASE_IPI'+cItem+'" name="BASE_IPI'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="IMP_PRCTAB'+cItem+'" name="IMP_PRCTAB'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="QTD_EMB'+cItem+'" name="QTD_EMB'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="QTDMIN'+cItem+'" name="QTDMIN'+cItem+'" value="">'
	cItensHid += '<input type="hidden" class="" id="GRUPO'+cItem+'" name="GRUPO'+cItem+'" value="">'
	cItensHid += '<input type="hidden" class="" id="VENCIMENTO'+cItem+'" name="VENCIMENTO'+cItem+'" value="0">'
	cItensHid += '<input type="hidden" class="" id="B1_COMIS'+cItem+'" name="B1_COMIS'+cItem+'" value="">'
	cOrcItens+=cItensHid

	cOrcItens += '<input type="hidden" name="QtdItens" id="QtdItens" value="'+cValtoChar(nItens)+'"/>'
	cOrcItens += '<input type="hidden" id="PROXIMO" name="PROXIMO" value="01"/>
	cOrcItens += '<input type="hidden" name="C5_NUM" id="C5_NUM" value="" />'
	cOrcItens += '<input type="hidden" name="OPCAO" id="OPCAO" value="3" />'
	cOrcItens += '<input type="hidden" name="DESCCOND" id="DESCCOND" value="" />'
	cOrcItens += '<input type="hidden" name="C5_DSDIRET" id="C5_DSDIRET" value="0" />'
	cOrcItens += '<input type="hidden" name="FRETEMIN" id="FRETEMIN" value="'+cvaltochar(GetNewPar("MV_FRETMIN",0))+'" />'

	cOrcItens += '</tr>'
	
	//Adiciona os botes de aes na tabela de itens
	cBtnItens+='<div class="row form-group">'
	cBtnItens+='	<div class="col-sm-2">'
	cBtnItens+='		<button class="btn btn-primary" id="btAddItm" name="btAddItm">'
	cBtnItens+='			<i class="fa fa-plus-square"></i> Novo Item</button>'
	cBtnItens+='	</div>'
	cBtnItens+='</div>'

	//Adiciona os botes da pgina
	//cBotoes+='<h5 class="text-primary">Oramento vlido apenas dentro do ms de '+MesExtenso(date())+' de '+cvaltochar(Year(date()))+'.</h5>'
	cBotoes+='<input class="btn btn-primary" type="button" id="btSalvar" name="btSalvar" value="Salvar"/>'+chr(13)+chr(10)
	cBotoes+='<input class="btn btn-primary" type="button" id="btVoltar" name="btVoltar" value="Voltar" onclick="javascript: location.href='+"'"+'u_orcamento.apw?PR='+cCodLogin+"';"+'"/>'+chr(13)+chr(10)


	//Totalizador disponvel apenas para regional
	// If HttpSession->Tipo <> "R"
	// 	cTotalReg:='<div class="col-sm-12">'
	// 	cTotalReg+='	<label class="">Itens sem Desconto&nbsp;</label>'               
	// 	cTotalReg+='	<input class="form-control text-right" id="TOTAL_ITENS_NODESC" name="TOTAL_ITENS_NODESC"  placeholder="0,00" disabled="" type="text" value="'+Transform(nTVlrSDesc,"@E 999,999,999,999.99")+'"></input>'
	// 	cTotalReg+='	&nbsp;&nbsp;&nbsp;&nbsp;'
	// 	cTotalReg+='	<label class="">Itens sem Desconto+Impostos&nbsp;</label>'
	// 	cTotalReg+='	<input class="form-control text-right" id="TOTAL_NODESC_IMP" name="TOTAL_NODESC_IMP"  placeholder="0,00" disabled="" type="text" value="'+Transform(nTVlrSDesc+nTImpostos,"@E 999,999,999,999.99")+'"></input>'
	// 	cTotalReg+='</div>'
	// 	cTotalReg+='<br>'
	// 	cTotalReg+='<br>'

	// 	cShowDesc	:= 'true'
	// Endif
	//Retorna o HTML para construo da pgina
	cHtml := H_AddPed()

	Web Extended End

Return (cHTML)


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     SlvOrc       Autor  Lucilene Mendes      Data 17.08.17 
+----------+------------------------------------------------------------
Descrio  Gera a cotao.											  
+-----------------------------------------------------------------------+


*/
User Function SlvPed()
	Local cHtml
	Local nOpc		:= 3 // 3- Incluir / 4- Alterar / 5- Excluir
	Local cCondPag	:= ""
	Local cTabela	:= ""
	Local cCliente	:= ""
	Local cLoja		:= ""
	Local cMsg		:= ""
	Local cTransp	:= ""
	Local cItens	:= ""
	Local cDestOrc	:= ""
	Local cMensagem	:= ""
	Local x			:= 0
	Local i			:= 0
	Local nTotSC6	:= 0
	Local nPosLin	:= 0
	Local cDirErro  := "\erro\"
	Local aItens	:= {}
	Local cNumSC5	:= ""
	Local lRet		:= .T.
	local lEnvEmail := .f.

	local cFilPed
	local cCliEnt
	local cLjEnt
	local cTipoLum
	local cGrpTrib
	local cContato
	local cContTel
	local cUFEnt
	local cRegional
	local cVend2
	local cVend3
	local cVend4
	local cDatEntr
	local cTipoFrete
	local nFrete
	local cRedesp
	local cEndOpc
	local cMailNF
	local cEstagPv
	local cNegociad
	local cFatPar
	local cMenNota
	local cDescFat
	local cEnvPb

	local cItem
	local cProdSC6
	local nQuantSC6
	local nPrcVenSC6
	local cUMSC6
	local nPUnitSC6
	local nValorSC6
	local cEntrSC6
	local cOperSC6
	local cTesSC6
	local cCfSC6
	local cPosIpiSC6
	local cComis2SC6
	local cComis3SC6
	local cComis4SC6
	local cPedCLiSC6
	local cIPedCLiSC6

	Private cReturn
	Private aCabSC5 :={}
	Private aItemSC5:={}
	Private aLinhaSc5:={}
	Private lMsErroAuto:= .F.
	Private cCodLogin := ""
	Private cVendLogin:= ""
	Private n:= 0

	Web Extended Init cHtml Start U_inSite()

	cVendLogin := u_GetUsrPR()
	cCodLogin  := U_SetParPR(cVendLogin)

	//Verifica se no perdeu a sesso
	If type("HttpSession->CodVend") = "U" .or. Empty(HttpSession->CodVend)
		conout(Procname()+"("+ltrim(str(procline()))+") *** Portal "+"Sessao encerrada")
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL=U_SMSPortal.apw">'
		return cHtml
	Endif

	//Verifica se existe pedido lanado para o cliente nos ltimos 3 minutos.
    /*
	If Empty(HttpPost->C5_NUM)
	    cQry:= "Select * from "+RetSqlName("SCJ")+" SCJ "
	    cQry+= "Where C5_FILIAL = '"+xFilial("SCJ")+"' "
	    cQry+= "And C5_CLIENTE = '"+Left(HttpPost->C5_CLIENTE,9)+"' "
	    cQry+= "And C5_LOJA = '"+Right(HttpPost->C5_CLIENTE,4)+"' "
	    cQry+= "And C5_EMISSAO = '"+dtos(dDataBase)+"' "
	    cQry+= "And C5_COTCLI >= '"+StrTran(StrZero(SubHoras(Time(),'00:03:00'),5,2),'.',':')+":00"+"' "
	    cQry+= "And SCJ.D_E_L_E_T_ = ' ' "
	    If Select("QRH") > 0
			QRH->(dbCloseArea())
		Endif
		conout("Hora: "+Time()+" Vend: "+HttpSession->CodVend+" --> "+cqry)
		APWExOpenQuery(ChangeQuery(cQry),'QRH',.T.)
		If Contar("QRH","!Eof()") > 0
			cHtml:= ""
			Return cHtml
		Endif
    Endif
	*/
	If nOpc = 3
		INCLUI := .T.
	Else
		ALTERA := .T.
	Endif

	//Variveis do cabealho
	cNumSC5 	:= Iif(Type("HttpPost->C5_NUM")<>"U",HttpPost->C5_NUM,'')
	cFilPed 	:= Iif(Type("HttpPost->C5_FILIAL")<>"U",HttpPost->C5_FILIAL,'')
	cCliente	:= Left(HttpPost->C5_CLIENTE,6)
	cLoja		:= Right(HttpPost->C5_CLIENTE,6)
	cCliEnt		:= Left(HttpPost->C5_CLIENT,6)
	cLjEnt		:= Right(HttpPost->C5_CLIENT,2)
	cCondPag	:= Iif(Type("HttpPost->C5_CONDPAG")<>"U",HttpPost->C5_CONDPAG,"B13")
	cTipoLum	:= Iif(Type("HttpPost->C5_TIPOLUM")<>"U",HttpPost->C5_TIPOLUM,"1")
	cTabela		:= Iif(Type("HttpPost->C5_TABELA")<>"U",HttpPost->C5_TABELA,"")
	cGrpTrib	:= Iif(Type("HttpPost->C5_GRPTRIB")<>"U",HttpPost->C5_GRPTRIB,'')
	
	cCepOpc		:= Iif(Type("HttpPost->C5_CEPOPC")<>"U",HttpPost->C5_CEPOPC,'')
	cRuaOpc		:= Iif(Type("HttpPost->C5_RUAOPC")<>"U",HttpPost->C5_RUAOPC,'')
	cNumOpc		:= Iif(Type("HttpPost->C5_NUMOPC")<>"U",HttpPost->C5_NUMOPC,'')
	cBairOpc	:= Iif(Type("HttpPost->C5_BAIROPC")<>"U",HttpPost->C5_BAIROPC,'')
	cMunOpc		:= Iif(Type("HttpPost->C5_MUNOPC")<>"U",HttpPost->C5_MUNOPC,'')
	cUfOpc		:= Iif(Type("HttpPost->C5_UFOPC")<>"U",HttpPost->C5_UFOPC,'')
	cRefOpc		:= Iif(Type("HttpPost->C5_REFOPC")<>"U",HttpPost->C5_REFOPC,'')

	cUFEnt		:= Iif(Type("HttpPost->C5_UFDEST")<>"U",HttpPost->C5_UFDEST,"")

	cRegional	:= Iif(Type("HttpPost->C5_VEND1")<>"U",HttpPost->C5_VEND1,"")
	cVend2		:= Iif(Type("HttpPost->C5_VEND2")<>"U",HttpPost->C5_VEND2,"")
	cVend3		:= Iif(Type("HttpPost->C5_VEND3")<>"U",HttpPost->C5_VEND3,"")
	cVend4		:= Iif(Type("HttpPost->C5_VEND4")<>"U",HttpPost->C5_VEND4,"")
	cDatEntr	:= Iif(Type("HttpPost->C5_DATENTR")<>"U",HttpPost->C5_DATENTR,"")
	cTipoFrete 	:= Iif(Type("HttpPost->C5_TPFRETE")<>"U",HttpPost->C5_TPFRETE,"")
	nFrete		:= Iif(Type("HttpPost->C5_FRETE")<>"U",Val(StrTran(StrTran(HttpPost->C5_FRETE,'.',''),',','.')),0)
	cTransp		:= Iif(Type("HttpPost->C5_TRANSP")<>"U",HttpPost->C5_TRANSP,"")
	cRedesp		:= Iif(Type("HttpPost->C5_REDESP")<>"U",HttpPost->C5_REDESP,"")
	cEndOpc		:= Iif(Type("HttpPost->C5_ENDOPC")<>"U",HttpPost->C5_ENDOPC,"")
	cMailNF		:= Iif(Type("HttpPost->C5_MAILNF")<>"U",HttpPost->C5_MAILNF,"")
	cEstagPv	:= Iif(Type("HttpPost->C5_ESTAGIO")<>"U",HttpPost->C5_ESTAGIO,"")
	cNegociad	:= Iif(Type("HttpPost->C5_NEGOCIA")<>"U",HttpPost->C5_NEGOCIA,"")
	cFatPar		:= Iif(Type("HttpPost->C5_FATPARC")<>"U",HttpPost->C5_FATPARC,"")
	cMenNota	:= Iif(Type("HttpPost->C5_MENNOTA")<>"U",HttpPost->C5_MENNOTA,"")
	cMenNota1	:= Iif(Type("HttpPost->C5_MENNOT1")<>"U",HttpPost->C5_MENNOT1,"")
	cMenNota2	:= Iif(Type("HttpPost->C5_MENNOT2")<>"U",HttpPost->C5_MENNOT2,"")
	cMenNota3	:= Iif(Type("HttpPost->C5_MENNOT3")<>"U",HttpPost->C5_MENNOT3,"")
	cDescFat	:= Iif(Type("HttpPost->C5_DESCFAT")<>"U",HttpPost->C5_DESCFAT,"")
	cEnvPb		:= Iif(Type("HttpPost->C5_SIBAP")<>"U",HttpPost->C5_SIBAP,"")
	
	nTotSC6 := val(HttpPost->PROXIMO)
	cItens:= HttpPost->aItens
	nOpc:= Val(HttpPost->OPCAO)

	For x:= 1 to nTotSC6
		nPosLin:= At("||",cItens)-1
		If nPosLin > 0
			aLinha:= Separa(Substr(cItens,1,nPosLin),";")
			cItens:= Substr(cItens,nPosLin+3)
			If Len(aLinha) > 0
				aAdd(aItens,aLinha)
			Endif
		Endif
		aLinha:= {}
	Next

	//Posiciona nas tabelas
	If !Empty(cCondPag)
		Posicione("SE4",1,xFilial("SE4")+cCondPag,"E4_COND")
	Endif
	If !Empty(cTabela)
		Posicione("DA0",1,xFilial("DA0")+cTabela,"DA0_CODTAB")
		//lPneu := Iif(DA0->DA0_XPOLIM = '1', .F.,.T.)
	Endif
	If !Empty(cCliente)
		Posicione("SA1",1,xFilial("SA1")+Alltrim(HttpPost->C5_CLIENTE),"A1_COD")
	Endif
	//Monta o cabealho
	If !Empty(cNumSC5) .and. nOpc = 4
		SC5->(dbSetOrder(1))	// C5_FILIAL+C5_NUM
		If SC5->(dbSeek(cFilPed+cNumSC5))
			If cFilPed <> cFilAnt
				u_PtTrocaFil(cFilPed)
			Endif
		endif
		cFilAnt := xFilial("SC5")

		aadd(aCabSC5,{"C5_NUM",cNumSC5,Nil})
	EndIf

	aadd(aCabSC5,{"C5_FILIAL",xFilial("SC5"),Nil})
	aadd(aCabSC5,{"C5_CLIENTE",SA1->A1_COD,Nil})
	aadd(aCabSC5,{"C5_LOJA", SA1->A1_LOJA ,Nil})
	aadd(aCabSC5,{"C5_CLIENT",cCliEnt ,Nil})
	aadd(aCabSC5,{"C5_LOJAENT",cLjEnt ,Nil})
	aadd(aCabSC5,{"C5_CONDPAG",cCondPag ,Nil})
	aadd(aCabSC5,{"C5_TABELA" ,cTabela,Nil})
	aadd(aCabSC5,{"C5_TIPOLUM" ,cTipoLum,Nil})
	aadd(aCabSC5,{"C5_VEND1",cRegional ,Nil})
	aadd(aCabSC5,{"C5_TPFRETE" ,cTipoFrete,Nil})
	aadd(aCabSC5,{"C5_TRANSP" ,cTransp,Nil})
	aadd(aCabSC5,{"C5_REDESP" ,cRedesp,Nil})
	aadd(aCabSC5,{"C5_FRETE" ,nFrete,Nil})
	aadd(aCabSC5,{"C5_DATENTR" ,cDatEntr,Nil})
	aadd(aCabSC5,{"C5_FATPARC" ,cFatPar,Nil})
	aadd(aCabSC5,{"C5_NEGOCIA" ,cNegociad,Nil})
	aadd(aCabSC5,{"C5_ESTAGIO" ,cEstagPv,Nil})
	aadd(aCabSC5,{"C5_MAILNF" ,cMailNF,Nil})
	aadd(aCabSC5,{"C5_VEND2",cVend2 ,Nil})
	aadd(aCabSC5,{"C5_VEND3",cVend3 ,Nil})
	aadd(aCabSC5,{"C5_VEND4",cVend4 ,Nil})
	aadd(aCabSC5,{"C5_SIBAP",cEnvPb ,Nil})
	aadd(aCabSC5,{"C5_UFDEST",cUFEnt ,Nil})

	aadd(aCabSC5,{"C5_CEPOPC",cCepOpc ,Nil})
	aadd(aCabSC5,{"C5_RUAOPC",cRuaOpc ,Nil})
	aadd(aCabSC5,{"C5_NUMOPC",cNumOpc ,Nil})
	aadd(aCabSC5,{"C5_BAIROPC",cBairOpc ,Nil})
	aadd(aCabSC5,{"C5_MUNOPC",cMunOpc ,Nil})
	aadd(aCabSC5,{"C5_UFOPC",cUfOpc ,Nil})
	aadd(aCabSC5,{"C5_REFOPC",cRefOpc ,Nil})

	aadd(aCabSC5,{"C5_ENDOPC",cRuaOpc + " " + cNumOpc+ " "+ cRefOpc + " " + cBairOpc + " " + cMunOpc + " " + cUfOpc ,Nil})

	aadd(aCabSC5,{"C5_MENNOTA",cMenNota ,Nil})
	aadd(aCabSC5,{"C5_MENNOT1",cMenNota1 ,Nil})
	aadd(aCabSC5,{"C5_MENNOT2",cMenNota2 ,Nil})
	aadd(aCabSC5,{"C5_MENNOT3",cMenNota3 ,Nil})
	aadd(aCabSC5,{"C5_DESCFAT",cDescFat ,Nil})
	
//Cria as variveis de memria
	//RegtoMemory("SCJ")
	//For i:=1 to Len(aCabSC5)
	//	M->&(aCabSC5[i,1]) := aCabSC5[i,2]	
	//Next
	
//Monta os itens
	dbSelectArea("SB1")
	SB1->(dbSetorder(1))


	If ValType(aItens) == "A"  .and. Len(aItens) > 0

		For i:=1 to Len(aItens)
			If ValType(aItens[i,1]) == 'C'
				aLinhaSc5:={}
				cItem		:= StrZero(i,TamSX3("C6_ITEM")[1])
				cProdSC6	:= PadR(aItens[i,1], TamSX3("C6_PRODUTO")[1])
				nQuantSC6 	:= val(StrTran(StrTran(aItens[i,2],".",""),",","."))
				nPrcVenSC6 	:= val(StrTran(StrTran(aItens[i,3],".",""),",","."))
				cUMSC6 		:= aItens[i,4]
				nPUnitSC6 	:= val(StrTran(StrTran(aItens[i,5],".",""),",","."))
				nValorSC6 	:= val(StrTran(StrTran(aItens[i,6],".",""),",","."))
				cEntrSC6 	:= aItens[i,7]
				cOperSC6	:= aItens[i,8]
				cTesSC6		:= aItens[i,9]
				cCfSC6		:= aItens[i,10]
				cPosIpiSC6	:= aItens[i,11]
				cComis2SC6	:= val(aItens[i,12])
				cComis3SC6	:= val(aItens[i,13])
				cComis4SC6	:= val(aItens[i,14])
				cPedCLiSC6	:= aItens[i,15]
				cIPedCLiSC6	:= aItens[i,16]

				If SB1->(dbSeek(xFilial("SB1")+cProdSC6)) .and. nQuantSC6 > 0 .And. nPrcVenSC6 > 0	.and. SB1->B1_MSBLQL <> '1'
					aadd(aLinhaSc5,{"C6_ITEM"	,cItem,Nil})
					aadd(aLinhaSc5,{"C6_PRODUTO",SB1->B1_COD,Nil})
					aadd(aLinhaSc5,{"C6_UM" 	,cUMSC6,Nil})
					aadd(aLinhaSc5,{"C6_QTDVEN" ,nQuantSC6,Nil})
					aadd(aLinhaSc5,{"C6_PRCVEN" ,A410Arred(nPrcVenSC6, "C6_PRCVEN"),Nil})
					aadd(aLinhaSc5,{"C6_PRUNIT" ,A410Arred(nPrcVenSC6, "C6_PRUNIT"),Nil})
					aadd(aLinhaSc5,{"C6_VALOR" 	,A410Arred(nQuantSC6*A410Arred(nPrcVenSC6, "C6_PRCVEN"),"C6_VALOR"),Nil})
					aadd(aLinhaSc5,{"C6_OPER" 	,cOperSC6,Nil})
					aadd(aLinhaSc5,{"C6_TES" 	,cTesSC6,Nil})
					// aadd(aLinhaSc5,{"C6_CF" 	,cCfSC6,Nil})
					aadd(aLinhaSc5,{"C6_POSIPI" ,cPosIpiSC6,Nil})
					aadd(aLinhaSc5,{"C6_COMIS2" , cComis2SC6,Nil})
					// aadd(aLinhaSc5,{"C6_ENTREG" ,cEntrSC6,Nil})
					aadd(aLinhaSc5,{"C6_COMIS3" , cComis3SC6,Nil})
					aadd(aLinhaSc5,{"C6_COMIS4" , cComis4SC6,Nil})
					aadd(aLinhaSc5,{"C6_PEDCLI" ,cPedCLiSC6,Nil})
					aadd(aLinhaSc5,{"C6_IPEDCLI",cIPedCLiSC6,Nil})
					aadd(aItemSC5,aLinhaSc5)
				Else
					lRet:= .F.
				Endif
			Endif
		Next

		//Chama execauto para incluso do oramento
		If Len(aCabSC5) > 0 .and. Len(aItemSC5) > 0 .and. lRet
			lMsErroAuto:= .F.
			MATA410(aCabSC5,aItemSC5,nOpc)
		Else
			If !Empty(cNumSC5)
				conout(Procname()+"("+ltrim(str(procline()))+") *** Portal "+"FALHA AO INCLUIR O ORAMENTO. REFAA A OPERAO!")
			Else
				conout(Procname()+"("+ltrim(str(procline()))+") *** Portal "+"FALHA AO ALTERAR O ORAMENTO. REFAA A OPERAO!")
			EndIf
			lRet := .F.
		Endif

		If lMsErroAuto
			If !ExistDir(cDirErro)
				MakeDir(cDirErro)
			Endif

			cDirErro+=dtos(date())
			If !ExistDir(cDirErro)
				MakeDir(cDirErro)
			Endif
			//Grava o erro
			cMsg:= MostraErro(cDirErro,"erro_orcto_"+strtran(time(),":","")+"_"+cFilAnt+".txt")
			cDestMail:= "matheus.lopes@smsti.com.br"
			u_MailCM("ERRO PEDIDO",{cDestMail},{},"ERRO PEDIDO NO PORTAL",cMsg,"","")
			// cHtml:= "erro"
			cHtml:= SC5->C5_NUM+"<br><br>"
		Else

			cHtml:= SC5->C5_NUM+"<br><br>"

			// cDestOrc := GetNewPar("PR_DESTORC","")

			//Envia e-mail informando a incluso do oramento
			// If !Empty(cDestOrc) .and. (nOpc = 3 .or. lEnvEmail) //no envia para oramento previsto
			// 	cMsg:= "Um novo oramento foi gerado pelo Portal do Representante.<br><br>"
			// 	cMsg+= "Filial: "+SC5->C5_FILIAL+"<br>"
			// 	cMsg+= "Nmero: "+SC5->C5_NUM+"<br> "
			// 	cMsg+= "Vendedor: "+SC5->C5_VEND+" - "+Alltrim(Posicione("SA3",1,xFilial("SA3")+SC5->C5_VEND,"A3_NOME"))+"<br>"
			// 	cMsg+= "Cliente: "+SC5->C5_CLIENTE+"/"+SC5->C5_LOJA+" - "+Posicione("SA1",1,+xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJA,"A1_NOME")+"<br>"
			// 	u_MailCM("ORAMENTO",{cDestOrc},{},"NOVO ORCAMENTO PORTAL: "+SC5->C5_FILIAL+"/"+SC5->C5_NUM+" - "+;
			// 		trim(Posicione("SA1",1,+xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJA,"A1_NOME")),cMsg,"","")
			// Endif


			//////////////
			// Envia e-Mail para supervisoras dos clientes que ficaram ativos.
			// If Empty(SA1->A1_ULTORCA) .OR. (dDataBase - SA1->A1_ULTORCA) > 365
			// 	cMensagem := "Cliente Ativado pelo Oramento: " + AllTrim(SC5->C5_NUM) + CRLF+CRLF
			// 	cMensagem += "Cliente: " + AllTrim(SA1->A1_COD)+"-"+AllTrim(SA1->A1_NOME) + CRLF
			// 	cMensagem += "Representante: " + AllTrim(SC5->C5_VEND)+'-'+AllTrim(Posicione("SA3",1,xFilial('SA3')+SC5->C5_VEND,"A3_NOME")) + CRLF
			// 	cMensagem += "Regional: " + AllTrim(SC5->C5_REGIAO)+'-'+AllTrim(Posicione("SA3",1,xFilial('SA3')+SC5->C5_REGIAO,"A3_NOME")) + CRLF
			// 	cMensagem += "Pr-Resgate: " + IIF(!Vazio(Trim(SA1->A1_USUPRER)),Trim(SA1->A1_USUPRER)+ "  em: "+DToC(SA1->A1_DTPRERE),'-*-*-*-*-') + CRLF

			// 	//		(Destino							, Com Copia	, Com Copia Oculta	, assunto											, Mensagem Corpo, Anexos)
			// 	U_EnvMail("regiane.almeida@lumicenter.com"	,			,""					,"e-Mail Automtico. Cliente Ativado - Engenharia."	,cMensagem,"") 

			// EndIf

			// Grava data do ltimo oramento.
			RecLock("SA1",.F.)
				SA1->A1_ULTORCA := dDataBase
			MsUnlock("SA1")

		EndIf
	Else
		cHtml:= "erro"
	Endif

	Web Extended End

Return (cHTML)


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GetSitCliP     Autor  Lucilene Mendes    Data  19.11.17 
+----------+------------------------------------------------------------
Descrio  Funo para buscar os dados de crdito do cliente.         
+-----------------------------------------------------------------------+


*/
User Function PGetSitCli()
	Local cHtml
	Local cCliente	:= Alltrim(HttpPost->Cliente)
	Local cMsg	:= ""
	Local cSepField := "|#|"
	Local lRetCli:= .T.
	Private cMsgCust:= ""

	Web Extended Init cHtml Start U_inSite()

	If Empty(HttpSession->CodVend)
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL=U_PortalLogin.apw">'
		Return cHtml
	endif
	//Posiciona no cliente
	dbSelectArea("SA1")
	SA1->(dbSeek(xFilial("SA1")+cCliente))
	//Atualiza a varivel de sesso
	HttpSession->cliente := cCliente

	//Chama a validao customizada do cliente
	If ExistBlock("VldPortalSMS")
	 	lRetCli:=u_VldPortalSMS("CK_CLIENTE",SA1->(Recno()))
	Endif

	If !Empty(cMsgCust)
		cMsg+= '<div class="row form-group">'+CHR(13)+CHR(10)
		cMsg+= '<div class="col-lg-12">'+CHR(13)+CHR(10)
		cMsg+= '	<div class="col-lg-12">'+cMsgCust+'</div>'+CHR(13)+CHR(10)
		cMsg+= '</div>'+CHR(13)+CHR(10)
		cMsg+= '</div>'+CHR(13)+CHR(10)
	Else
		cMsg:="::"
	Endif

	cHtml:= Iif(!lRetCli,'0','1')+cSepField+cMsg+cSepField
	cHtml+= SA1->A1_TIPO+cSepField+SA1->A1_GRPTRIB+cSepField+Alltrim(SA1->A1_COND)+cSepField
	cHtml+= Alltrim(SA1->A1_EST)+Alltrim(SA1->A1_COD_MUN)+" - "+Alltrim(SA1->A1_MUN)+cSepField
	cHtml+= SA1->A1_VEND

	Web Extended end

Return cHtml


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GatProd   	 Autor  Lucilene Mendes    Data  05.09.17 
+----------+------------------------------------------------------------
Descrio  Gatilho para atualizao dos preos ao selecionar o produto
+-----------------------------------------------------------------------+


*/
User Function pGatProd()
	Local cProduto	:= Alltrim(UnEscape(HttpPost->PRODUTO))
	Local cTabela	:= Alltrim(HttpSession->Tabela)
	Local cCliente	:= Alltrim(HttpSession->Cliente)
	Local cSepField := "|#|"
	Local cTes		:= ""
	Local cCodOper	:= ""
	Local cMsg		:= ""
	Local nPercFrt	:= val(HttpPost->frete)
	Local nComisRT	:= val(HttpPost->comisRT)
	Local cLumOper	:= val(HttpPost->lumoper)
	Local cVend2	:= HttpPost->vend2
	Local cVend3	:= HttpPost->vend3
	Local cVend4	:= HttpPost->vend4
	Local nDiv		:= 0
	Local nPrcTab	:= 0
	Local cComis	:= 0
	Local nQtdFis 	:= 1
	Local nDesc		:= 0
	Local nValIcms	:= 0
	Local nBaseIcms	:= 0
	Local nValST	:= 0
	Local nBaseST	:= 0
	Local nValIPI	:= 0
	Local nBaseIPI	:= 0
	Local cAliqIPI	:= 0
	Local cAliqICMS	:= 0
	Local cAliqST	:= 0
	Local nQtdMin	:= 0
	Local aRet		:= {}
	Local lRetPro	:= .T.
	Local lVencido  := .F.
	Local cHtml

	Private cPrzEmb := ""
	Private nCargIcm := 0
	Private nFatCorr := 0

	nSec:= Seconds()

	Web Extended Init cHtml Start U_inSite()

	Conout("[ADDORC / GATPROD] - tempo Abertura InSite: "+cValtoChar(Seconds()-nSec)+"s")

	//Busca o cadastro do cliente
	Posicione("SA1",1,xFilial("SA1")+cCliente,"A1_COD")

	//Posiciona no cadastro do produto
	Posicione("SB1",1,xFilial("SB1")+cProduto,"B1_COD")
	
	//Chama a validao customizada do produto
	If ExistBlock("VldPortalSMS")
		cMsgCust:= ""
	 	lRetPro:=u_VldPortalSMS("CK_PRODUTO",SB1->(Recno()))

		If !Empty(cMsgCust)
			cMsg:= '<div class="row form-group">'+CHR(13)+CHR(10)
			cMsg+= '<div class="col-lg-12">'+CHR(13)+CHR(10)
			cMsg+= '	<div class="col-lg-12">'+cMsgCust+'</div>'+CHR(13)+CHR(10)
			cMsg+= '</div>'+CHR(13)+CHR(10)
			cMsg+= '</div>'+CHR(13)+CHR(10)
		Else
			cMsg:="::"
		Endif
	Endif

	if empty(cTabela)
		cTabela := Alltrim(HttpPost->cTabela) 
	endif
	HttpSession->cTabela:= cTabela
	HttpSession->Tabela:= cTabela
	
	//Posiciona na tabela de preo
	Posicione("DA0",1,xFilial("DA0")+cTabela,"DA0_CODTAB")
	DA1->(dbSetOrder(1))
	If DA1->(dbSeek(xFilial("DA1")+cTabela+cProduto))
		nPrcTab:= u_getValProd(nComisRT,nPercFrt)
	Endif
	
	conout("Chave "+xFilial("DA1")+cTabela+cProduto)
	conout("Tabela de preco "+xFilial("DA1")+" tab: "+cValToChar(cTabela)+" produto "+cProduto+" Preco "+cValToChar(nPrcTab))

	If nPrcTab > 0
		nSec:= Seconds()

		//&&&&&& verificar se excesso fiscal calcula na tes inteligente
		//nPrcTab := (nPrcTab - (nPrcTab * ((18 - nCargIcm - nFatCorr)/100))) // Alterado em 20-09-2018 - Fabiana - para calcular 1.5/4.5 de desconto CIF Norte/Nordeste.

		//Obtem os valores de impostos
		u_pGetValImp(SA1->A1_COD+SA1->A1_LOJA,nPrcTab,nDesc,nQtdFis,@nValIcms,@nBaseICMS,@nValST,@nBaseST,@nValIPI,@nBaseIPI,@cAliqIPI,@cAliqICMS,@cAliqST,@cTes, @cCodOper, cLumOper)

		Conout("[ADDORC / GATPROD] - tempo u_GetValImp: "+cValtoChar(Seconds()-nSec)+"s")

		If Empty(cTes)
			cHtml:= "ERRO: TES n&atilde;o localizada."
		Else

			cPrcTab := TransForm((nPrcTab),PesqPict("SCK","CK_PRCVEN"))
			cTotalST:= Transform(((nPrcTab)+nValST),PesqPict("SCK","CK_PRCVEN"))

			cComis := SB1->B1_COMIS

			If SB5->(MsSeek(xFilial("SB5")+SB1->B1_COD)) 
				If SB5->B5_DTVLESP + 30 < dDataBase
					lVencido:= .T.
				Endif
			Endif

			if cVend2 <> ""
				nDiv := nDiv + 1
			endif

			if cVend3 <> ""
				nDiv := nDiv + 1
			endif

			if cVend4 <> ""
				nDiv := nDiv + 1
			endif

			CONOUT("IPI "+CVALTOCHAR(nValIPI))

			aAdd(aRet,Alltrim(SB1->B1_UM)) //01
			aAdd(aRet,Alltrim(cPrcTab)) //02
			aAdd(aRet,Alltrim(Transform(nValIcms,PesqPict("SCK","CK_XVALICM")))) //03
			aAdd(aRet,Alltrim(Transform(nValIPI,PesqPict("SCK","CK_XVALIPI")))) //04
			aAdd(aRet,Alltrim(Transform(nValST,PesqPict("SCK","CK_PRCVEN")))) //05
			aAdd(aRet,cAliqIPI) //06
			aAdd(aRet,cAliqICMS) //07
			aAdd(aRet,cValtochar(SB1->B1_QE)) //08
			aAdd(aRet,cTES) //09
			aAdd(aRet,cValtoChar(nBaseICMS)) //10
			aAdd(aRet,cValtoChar(nBaseST)) //11
			aAdd(aRet,cValtoChar(nBaseIPI)) //12
			aAdd(aRet,cAliqST) //13
			aAdd(aRet,SB1->B1_GRUPO) //14
			aAdd(aRet,cvaltochar(nQtdMin)) //15
			aAdd(aRet,Iif(lVencido,'1','0')) //16
			aAdd(aRet,u_GetEstDisp()) //17
			aAdd(aRet,Iif(lRetPro,'1','0')) //18
			aAdd(aRet,cMsg) //19
			aAdd(aRet,cPrzEmb) //20
			aAdd(aRet,SB1->B1_TIPO) //21
			aAdd(aRet,cCodOper) //22
			aAdd(aRet,SB1->B1_POSIPI) //23
			aAdd(aRet,Iif(cVend2 <> "",cvaltochar((cComis / nDiv)), "0") ) //24
			aAdd(aRet,Iif(cVend3 <> "",cvaltochar((cComis / nDiv)), "0") ) //25
			aAdd(aRet,Iif(cVend4 <> "",cvaltochar((cComis / nDiv)), "0") ) //26
			aAdd(aRet, cvaltochar(cComis)) //27
			
			cHtml := "OK:"
			cHtml += aRet[1]+cSepField+aRet[2]+cSepField+aRet[3]+cSepField+aRet[4]+cSepField+aRet[5]+cSepField+aRet[6]+cSepField+aRet[7]+cSepField+aRet[8]
			cHtml +=cSepField+aRet[9]+cSepField+aRet[10]+cSepField+aRet[11]+cSepField+aRet[12]+cSepField+aRet[13]+cSepField+aRet[14]+cSepField+aRet[15]
			cHtml +=cSepField+aRet[16]+cSepField+aRet[17]+cSepField+aRet[18]+cSepField+aRet[19]+cSepField+aRet[20]+cSepField+aRet[21]+cSepField+aRet[22]+cSepField+aRet[23]
			cHtml +=cSepField+aRet[24]+cSepField+aRet[25]+cSepField+aRet[26]+cSepField+aRet[27]
		Endif
	Else
		cHtml := "ERRO: Nao foi possivel localizar o produto"
	Endif

	Web Extended end
CONOUT("FIM GATPROD")
Return cHtml


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GetValImp    Autor  Anderson Zelenski   Data  09.09.17 
+----------+------------------------------------------------------------
Descrio  Funo para clculo dos impostos						      
+-----------------------------------------------------------------------+


*/
User Function pGetValImp(cCliente,nPreco,nDesc,nQtdFis,nValIcms,nBaseIcms,nValST,nBaseST,nValIPI,nBaseIPI,cAliqIPI,cAliqICMS,cAliqST,cTes,cCodOper,cLumOper)
	Local _nItem:= 0
	MaFisEnd()

	SA1->(dbSetorder(1))
	SA1->(dbSeek(xFilial("SA1")+cCliente))

	cCodOper:= pGetCodOper(cLumOper)
	MaFisIni(SA1->A1_COD,;// 1-Codigo Cliente/Fornecedor
	SA1->A1_LOJA,;// 2-Loja do Cliente/Fornecedor
	"C",; // 3-C:Cliente , F:Fornecedor
	"N",; // 4-Tipo da NF
	SA1->A1_TIPO,;// 5-Tipo do Cliente/Fornecedor
	MaFisRelImp("MT100", {"SF2", "SD2"}),; // 6-Relacao de Impostos que suportados no arquivo
	,;// 7-Tipo de complemento
	,;// 8-Permite Incluir Impostos no Rodape .T./.F.
	"SB1",; // 9-Alias do Cadastro de Produtos - ("SBI" P/ Front Loja)
	"MATA461")

	dbSelectArea("SE4")
	SE4->(DbSetOrder(1))

	cTes:= MaTesInt(2,cCodOper,SA1->A1_COD,SA1->A1_LOJA,"C",SB1->B1_COD,"",SA1->A1_TIPO)
	// conout("tes -->"+cTes)
	// conout("prod -->"+SB1->B1_COD)
	_nItem := MaFisAdd(SB1->B1_COD,; // 1-Codigo do Produto ( Obrigatorio )
	cTes,;// 2-Codigo do TES ( Opcional )
	nQtdFis,; // 3-Quantidade ( Obrigatorio )
	nPreco,; // 4-Preco Unitario ( Obrigatorio )
	nDesc,; // 5-Valor do Desconto ( Opcional )
	,;// 6-Numero da NF Original ( Devolucao/Benef )
	,;// 7-Serie da NF Original ( Devolucao/Benef )
	,;// 8-RecNo da NF Original no arq SD1/SD2
	0,; // 9-Valor do Frete do Item ( Opcional )
	0,; // 10-Valor da Despesa do item ( Opcional )
	0,; // 11-Valor do Seguro do item ( Opcional )
	0,; // 12-Valor do Frete Autonomo ( Opcional )
	nPreco,; // 13-Valor da Mercadoria ( Obrigatorio )
	0,; // 14-Valor da Embalagem ( Opiconal )
	0,; // 15-RecNo do SB1
	0)// 16-RecNo do SF4

//ICMS
	nValIcms:= MaFisRet(_nItem,"IT_VALICM")
	nBaseIcms:= MaFisRet(_nItem,"IT_BASEICM")
	cAliqICMS:= Alltrim(Str(MaFisRet(_nItem,"IT_ALIQICM")))

//IPI
	nValIPI := MaFisRet(_nItem,"IT_VALIPI")
	nBaseIPI := MaFisRet(_nItem,"IT_BASEIPI")
	cAliqIPI := Alltrim(Str(MaFisRet(_nItem,"IT_ALIQIPI")))

//ICMS ST
	nValST	:= MaFisRet(_nItem,"IT_VALSOL")
	nBaseST := MaFisRet(_nItem,"IT_BASESOL")
	cAliqST	:= Alltrim(Str(MaFisRet(_nItem,"IT_ALIQSOL")))

Return


User Function pGetImpostos()
	Local cProduto	:= Alltrim(UnEscape(HttpPost->PRODUTO))
	Local nPrcTab	:= Val(HttpPost->prcvenda)
//	Local cTabela	:= Alltrim(HttpSession->Tabela)
	Local cCliente	:= Alltrim(HttpSession->Cliente)
	Local nQtdFis 	:= Val(HttpPost->quantidade)
	Local cLumOper 	:= Val(HttpPost->lumoper)
//	Local cSepReg 	:= "#*#*"
	Local cSepField := "|#|"
	Local cTes		:= ""
	Local nDesc 	:= 0
	Local nValIcms	:= 0
	Local nBaseIcms	:= 0
	Local nValST	:= 0
	Local nBaseST	:= 0
	Local nValIPI	:= 0
	Local nBaseIPI	:= 0
	Local cAliqIPI	:= 0
	Local cAliqICMS	:= 0
	Local cAliqST	:= 0
	Local aRet		:= {}
	Local cHtml

	Web Extended Init cHtml Start U_inSite()

	//Busca o cadastro do cliente
	Posicione("SA1",1,xFilial("SA1")+cCliente,"A1_COD")

	//Posiciona no cadastro do produto
	Posicione("SB1",1,xFilial("SB1")+cProduto,"B1_COD")

	If nPrcTab > 0

		//Obtem os valores de impostos
		u_pGetValImp(SA1->A1_COD+SA1->A1_LOJA,nPrcTab,nDesc,nQtdFis,@nValIcms,@nBaseICMS,@nValST,@nBaseST,@nValIPI,@nBaseIPI,@cAliqIPI,@cAliqICMS,@cAliqST,@cTes, @cCodOper,cLumOper)

		cComis := SB1->B1_COMIS

		nValDesc:= nPrcTab * nDesc
		cPrcTab := TransForm((nPrcTab-nValDesc),PesqPict("SCK","CK_PRCVEN"))
		cTotalST:= Transform(((nPrcTab-nValDesc)+nValST),PesqPict("SCK","CK_PRCVEN"))
		aAdd(aRet,Alltrim(SB1->B1_UM))
		aAdd(aRet,Alltrim(cPrcTab))
		aAdd(aRet,Alltrim(Transform(nValIcms,PesqPict("SCK","CK_XVALICM"))))
		aAdd(aRet,Alltrim(Transform(nValIPI,PesqPict("SCK","CK_XVALIPI"))))
		aAdd(aRet,Alltrim(cValtoChar(nValST)))
		aAdd(aRet,cAliqIPI)
		aAdd(aRet,cAliqICMS)
		aAdd(aRet,cValtochar(SB1->B1_QE))
		aAdd(aRet,cTES)
		aAdd(aRet,cValtoChar(nBaseICMS))
		aAdd(aRet,cValtoChar(nBaseST))
		aAdd(aRet,cValtoChar(nBaseIPI))
		aAdd(aRet,cAliqST)

		cHtml := "OK:"
		cHtml += aRet[1]+cSepField+aRet[2]+cSepField+aRet[3]+cSepField+aRet[4]+cSepField+aRet[5]+cSepField+aRet[6]+cSepField+aRet[7]+cSepField+aRet[8]
		cHtml +=cSepField+aRet[9]+cSepField+aRet[10]+cSepField+aRet[11]+cSepField+aRet[12]+cSepField+aRet[13]
	Else
		cHtml := "Falha ao calcular impostos"
	Endif

	Web Extended end

Return cHtml

/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GetCodOper  Autor  Lucilene Mendes  	 Data  07.10.24 
+----------+------------------------------------------------------------
Descrio  Busca o cdigo de operao para clculo da TES Inteligente 
+-----------------------------------------------------------------------+


*/
Static Function pGetCodOper(cLumOper)
Local cCod:= ""

// M->C5_TIPOPER:= '1'
// M->C5_TIPOCLI:= SA1->A1_TIPO

M->CJ_TIPOPER:= cvaltochar(cLumOper)
M->CJ_TIPOCLI:= SA1->A1_TIPO

cCod:= u_OperaO()
conout("------>>>>> operao: "+cCod)
Return cCod

/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GetCliEnd     Autor  Matheus Bientinezi Data  19.11.17 
+----------+------------------------------------------------------------
Descrio  Funo para buscar o endereo do cliente.    		      
+-----------------------------------------------------------------------+


*/
User Function GetCliEnd()
	Local cHtml
	Local cCliente	:= Alltrim(HttpPost->Cliente)
	local aRet		:= {}
	Local cSepField := "|#|"


	Web Extended Init cHtml Start U_inSite()

	If Empty(HttpSession->CodVend)
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL=U_PortalLogin.apw">'
		Return cHtml
	endif

	//Posiciona no cliente
	dbSelectArea("SA1")
	SA1->(dbSeek(xFilial("SA1")+cCliente))

		aAdd(aRet,Alltrim(SA1->A1_EST)) //0
		aAdd(aRet,Alltrim(SA1->A1_COD_MUN)) //1
		aAdd(aRet,Alltrim(SA1->A1_END)) //2
		aAdd(aRet,Alltrim(SA1->A1_MUN)) //3
		aAdd(aRet,Alltrim(SA1->A1_BAIRRO)) //4
		aAdd(aRet,Alltrim(SA1->A1_CEP)) //5
		aAdd(aRet,Alltrim(SA1->A1_COMPLEM)) //6

		cHtml := "OK:"
		cHtml += aRet[1]+cSepField+aRet[2]+cSepField+aRet[3]+cSepField+aRet[4]+cSepField+aRet[5]+cSepField+aRet[6]+cSepField+aRet[7]

	Web Extended end

Return cHtml
