#include "PROTHEUS.CH"
#include "RWMAKE.CH"
#include "APWEBEX.CH"
#include "TOPCONN.CH"
#include "TBICONN.CH"
#DEFINE SMSDEBUG
/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     MntOrc       Autor  Lucilene Mendes      Data 28.08.17 
+----------+------------------------------------------------------------
Descrio  Manuteno de Pedido de Venda.						  
+-----------------------------------------------------------------------+

*/

User Function MntPed()
Local cHtml
Local cItem 	:= ""
Local nPosFrete	:= 0
Local nPerCom	:= 0
Local nValCom	:= 0
Local nOpc		:= 0
Local nLin		:= 0
Local f			:= 0
Local lMoeda	:= .F.
Local lNumber	:= .F.
Local lVencido	:= .F.
Local aTpFrete	:= {}
Local nRecSC5   := 0
Private cFilVen		:= ""
Private cCodLogin 	:= ""
Private cVendLogin	:= ""
Private cVendedor	:= ""
Private cSite	  	:= "u_PortalLogin.apw"
Private cPagina	  	:= "Pedido de Venda"
Private cTitle	  	:= "Portal SMS"
Private cMenus	  	:= ""
Private cAnexos	  	:= ""
Private cDirOrc		:= "\anexosPortal\pedidos\"
Private cDirPortal 	:= ""
Private cEndServ 	:= "" // Endereo do servidor da pagina de Portal
Private cOrcCabec	:= ""
Private cOrcItens	:= ""
Private cItensHid	:= ""
Private cBotoes		:= ""
Private cBtnItens	:= ""
Private cOptUF		:= ""
Private cOptMun		:= ""
Private cOptProd	:= ""
Private cOptCond	:= ""              
Private cOptModal	:= ""
Private cTblDesc	:= ""

Private cCodOrc		:= ""
Private cTabela		:= ""
Private cCliente	:= ""
Private cContato	:= ""
Private cContDDD	:= ""
Private cContTel	:= ""
Private cTpCliente	:= ""
Private cGrpTrib	:= ""
Private cCondPag	:= ""
Private cLocalEnt	:= ""
Private cObra		:= ""
Private cStatusObra := ""
Private cIntermed	:= ""
Private cOport		:= ""
Private cRevOpt		:= ""
Private cRegional	:= ""
Private cTpFrete	:= ""
Private cValFre		:= ""
Private cPrazoEmb	:= ""
Private cEstudo		:= ""
Private cNumEst		:= ""
Private cPrevFecha	:= ""
Private cMargemCont	:= ""
Private cTransp		:= ""
Private cRedesp		:= ""
Private cOptCli		:= ""
Private cTotalReg	:= ""
Private cEntrega	:= ""
Private cValidade	:= ""
Private cFatPar		:= ""
Private cEstagPv	:= ""
Private cMailNf		:= ""
Private cEnvpb		:= ""
Private cComRT		:= ""
Private cJust		:= ""
Private cMenNota	:= ""
Private cMenNota1	:= ""
Private cMenNota2	:= ""
Private cMenNota3	:= ""
Private cDesFat		:= ""
Private cObsCom		:= ""
Private cComent		:= ""
Private cFilPed		:= ""

private cFILORC 	:= ""
private cRETORNO 	:= ""
private cSEGMENTO 	:= ""
private cPROSP 		:= ""
private cPROSPPOR 	:= ""
private cPFRETE 	:= ""


Private nTVlrUnit	:= 0
Private nTVlrSDesc	:= 0
Private nTQtdItem   := 0
Private nTTotal		:= 0
Private nTComiss	:= 0
Private nTImpostos	:= 0
Private nTAcresc	:= 0
Private nTFrete		:= 0
Private nItens		:= 0
Private lNewOrc		:= .F.
Private lEdit		:= .F.
Private lCopy		:= .F.
Private cShowDesc	:= "false"
Private aItens	  	:= {}
Private aAnexos   	:= {}


Web Extended Init cHtml Start U_inSite()
cVendLogin := u_GetUsrPR()
cCodLogin  := U_SetParPR(cVendLogin)
 
	If Empty(HttpSession->CodVend)
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL='+cSite+'">'	
		Return cHtml
	Else
		If !Empty(HttpSession->Superv) .and. HttpSession->Superv <> HttpSession->CodVend
			HttpSession->CodVend:= HttpSession->Superv
		Endif
	Endif

	// Pega do parmetro com o Titulo do Portal
	cTitle	:= SuperGetMV("PS_TITLE", .T., "Portal SMS")
	
	// Define a funcao a ser chama no link
	cSite	:= "u_SMSPortal.apw?PR="+cCodLogin
	
	// Monta o cabealho para a pagina
	cHeader := U_PSHeader(cTitle, cSite) 	
		
	//Funo que atualiza os menus
	cMenus := U_GetMenus(AllTrim(Upper(Procname())), cVendLogin)
	
	//Atualiza as variveis
	cEndServ := GetMv('MV_WFBRWSR')
	cCodVend := cVendLogin
	cNomeVend:= HttpSession->Nome
	cItem := StrZero(1,TamSX3("C6_ITEM")[1])
	cOpcao := HttpGet->opc
	if !empty(HttpGet->rec)
		nRecSC5 := val(HttpGet->rec)
	EndIf
	
	lEdit := .F.
	lDele := .F.
	
	Do Case 
	     Case cOpcao == "view" 
	     	nOpc:= 2
	     	cPagina += " - Visualizar"
	     Case cOpcao == "edit" 
	     	nOpc:= 4
	     	cPagina += " - Alterar"
	     	lEdit := .T.
	     Case cOpcao == "dele"
	     	nOpc:= 5
	     	cPagina += " - Excluir"
	     	lDele := .T.
	     Case cOpcao == "copy"
	     	nOpc = 3
	     	cPagina += " - Copiar"
	     	lEdit := .T.
	     	lCopy := .T.
	EndCase
	
	//Posiciona no Pedido
	If !Empty(nRecSC5)
		dbSelectArea("SC5")
		SC5->(dbGoTo(nRecSC5))
		
		//Troca de filial
   		u_PTChgFil(SC5->C5_FILIAL)
		
		dbSelectArea("SC5")
		SC5->(dbGoTo(nRecSC5))
		
		dbSelectArea("SC6")
		SC6->(DbSetOrder(1))
		SC6->(dbgotop())
		SC6->(dbSeek(xFilial("SC6")+SC5->C5_NUM))

		dbSelectArea("SA1")
		SA1->(DbSetOrder(1))
		SA1->(dbgotop())
		SA1->(dbSeek(xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJACLI))
	Endif	 

	cCodOrc:=	'<div class="row form-group">'
	cFilPed+=	'	<div class="col-lg-2">'
	cFilPed+=	'		<label class="control-label">Filial</label>'
	cFilPed+=	'		<input id="C5_FILIAL" name="C5_FILIAL" class="form-control" value="'+SC5->C5_FILIAL+'" disabled >'
	//cFilPed+=	'		<input id="C5_VEND" name="C5_VEND" type="hidden" value="'+SC5->C5_VEND+'">'
	cFilPed+=	'	</div>'

	cCodOrc+=	'	<div class="col-lg-2">'
	cCodOrc+=	'		<label class="control-label">Nmero</label>'
	cCodOrc+=	'		<input id="C5_NUM" name="C5_NUM" class="form-control" value="'+SC5->C5_NUM+'" disabled >'
	cCodOrc+=	'	</div>'
	cCodOrc+=	'</div>'

	
	//Cliente 	
	If lEdit .or. lCopy
		cCliente:='	<div class="flexContainer">
		cCliente+='		<input type="text" class="form-control smsediticon" placeholder="Digite o cdigo, CPF/CNPJ ou Razo Social..." '
		cCliente+='		name="C5_CLIENTE" id="C5_CLIENTE"'
		cCliente+='		aria-required="true" data-live-search="true" '
		cCliente+='		autocomplete="off" value="'+SC5->C5_CLIENTE+'/'+SC5->C5_LOJACLI+' - '+Alltrim(Posicione("SA1",1,xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJACLI,"A1_NOME"))+'" />'
		
		cCliente+='		<button class="btSearchCli" id="btSearchCli">'
		cCliente+='			<i class="fa fa-search" alt="Pesquisar"></i>'
		cCliente+='		</button>
		cCliente+='	</div>
		
		cOptCli+= u_ListaCli(cVendLogin,"", 'S')
		HttpSession->Cliente:= SC5->C5_CLIENTE+SC5->C5_LOJACLI
	Else
		cCliente:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
		cCliente+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"+' name="C5_CLIENTE" id="C5_CLIENTE" '
		cCliente+=' disabled >' //value='+SC5->C5_CLIENTE+SC5->C5_LOJA+'
		cCliente+=' <option value='+SC5->C5_CLIENTE+SC5->C5_LOJACLI+'>'+SC5->C5_CLIENTE+'/'+SC5->C5_LOJACLI+' - '+Alltrim(Posicione("SA1",1,xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJACLI,"A1_NOME"))+'</option>'
		cCliente+='</select>'
	Endif
	//Oportunidade
	cOport:= '<input id="C5_NROPOR" name="C5_NROPOR" class="form-control" value="'+SC5->C5_NROPOR+'" disabled >'
	
	// cRevOpt:= '<input id="C5_REVISA" name="C5_REVISA" class="form-control" value="'+SC5->C5_REVISA+'" disabled>'

	//Combo da tabela de preo
	cTabPadrao:= GetNewPar("PR_TABPADR","001")
	cTabela:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cTabela+='{ "placeholder": "Selecione", "allowClear": false }'+"'"+' name="C5_TABELA" id="C5_TABELA" '
	cTabela+='</select>'

	//Tabela de preo por filial
	cQry:= "SELECT DA0_CODTAB, DA0_DESCRI "
	cQry+= "FROM "+RetSqlName("DA0")+" DA0 "
	cQry+= "WHERE DA0_FILIAL = '"+xFilial("DA0")+"'
	cQry+= "AND DA0_ATIVO = '1' "
	cQry+= "AND (DA0_DATATE = '' OR DA0_DATATE >= '"+dtos(dDataBase)+"') "
	cQry+= "AND DA0.D_E_L_E_T_ = ' ' "
	If Select("QFIL") > 0
		QFIL->(dbCloseArea())
	Endif	
	TcQuery cQry New Alias "QFIL"

	While QFIL->(!Eof())
		cTabela+='	<option value="'+Alltrim(QFIL->DA0_CODTAB)+'" '+Iif(QFIL->DA0_CODTAB == SC5->C5_TABELA,'selected','')+'>'+Alltrim(QFIL->DA0_CODTAB)+' - '+Alltrim(QFIL->DA0_DESCRI)+'</option>' 
		QFIL->(dbSkip())
	End	
	cTabela+='</select>'

	//Tipo de cliente
	Posicione("SA1",1,xFilial("SA1")+SC5->C5_CLIENTE+SC5->C5_LOJACLI,"A1_TIPO")
	cTpCliente:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cTpCliente+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"+' name="C5_TIPOCLI" id="A1_TIPOCLI" '
	cTpCliente+=' disabled >' 
	cTpCliente+=' <option value="'+SC5->C5_TIPOCLI+'">'+X3COMBO("C5_TIPOCLI",SC5->C5_TIPOCLI)+'</option>'
	cTpCliente+='</select>'

	//Grupo de tributao do cliente
	cGrpTrib:= '<input id="C5_GRPTRIB" name="C5_GRPTRIB" class="form-control" value="'+SC5->C5_GRPTRIB+'" disabled>'

	//End. Opc. Ent.
	cEndOpc:=	'<input type="hidden" id="C5_ENDOPC" name="C5_ENDOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_ENDOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_ENDOPC+'" disabled>'
	
	//Contato
	cEndCep	:=	'<input id="C5_CEPOPC" name="C5_CEPOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_CEPOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_CEPOPC+'" disabled>'
	cEndRua	:=	'<input id="C5_RUAOPC" name="C5_RUAOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_RUAOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_RUAOPC+'" disabled>'
	cEndNum	:=	'<input id="C5_NUMOPC" name="C5_NUMOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_NUMOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_NUMOPC+'" disabled>'
	cEndBair:=	'<input id="C5_BAIROPC" name="C5_BAIROPC" maxlength="'+cvaltochar(GetSX3Cache("C5_BAIROPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_BAIROPC+'" disabled>'
	cEndMun	:=	'<input id="C5_MUNOPC" name="C5_MUNOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_MUNOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_MUNOPC+'" disabled>'
	cEndUF	:=	'<input id="C5_UFOPC" name="C5_UFOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_UFOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_UFOPC+'" disabled>'
	cEndRef	:=	'<input id="C5_REFOPC" name="C5_REFOPC" maxlength="'+cvaltochar(GetSX3Cache("C5_REFOPC","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+SC5->C5_REFOPC+'" disabled>'

	cUsuEmiss:= '<input id="C5_USUEMIS" name="C5_USUEMIS" class="form-control" value="'+cVendLogin +'/'+ HttpSession->NomeFull+'" disabled>'
	
	//Cliente de Entrega
	cCliEntr:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cCliEntr+='{ "placeholder": "Selecione um Cliente", "allowClear": false }'+"'"
	cCliEntr+='name="C5_CLIENT" id="C5_CLIENT" '
	If lEdit .or. lCopy
		cCliEntr+='onchange="javascript:atuLocEnt();" '
	Else
		cCliEntr+='disabled'
	Endif
	cCliEntr+='>'
	If lEdit .or. lCopy
		cCliEntr+=' <option data-hidden="true"></option>'
	Endif
	// Localiza os clientes 
	cCliEntr+= u_ListaCli(cVendLogin,"QRY->A1_COD+QRY->A1_LOJA==SC5->C5_CLIENT+SC5->C5_LOJAENT", 'N')
	cCliEntr+='</select>'

	//Local de entrega
	cLocalEnt:=	'<div class="flexContainer">'
	cLocalEnt+=	'	<input id="C5_UFENT" name="C5_UFENT" class="form-control" value="'+Alltrim(SC5->C5_UFDEST)+'-'+SC5->C5_MUNOPC+'" disabled>' //onchange="javascript:atuVlrFrete();" 
	cLocalEnt+='	<button class="btEndEntrega" id="btEndEntrega">'
	cLocalEnt+='		<i class="fa fa-exchange" title="Alterar endereo"></i>'
	cLocalEnt+='	</button>'
	cLocalEnt+='</div>'
	
	//Alimenta os estados
	cOptUF:= u_ListaUF()

	//Nome da obra
	// cObra:=	'		<input id="C5_OBRA" name="C5_OBRA" maxlength="'+cvaltochar(GetSX3Cache("C5_OBRA","X3_TAMANHO"))+'" class="form-control text-uppercase" value="'+Alltrim(Upper(SC5->C5_OBRA))+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
		
	//cStatusObra:=	'		<input id="C5_VEND6" name="C5_VEND6" class="form-control" value="'+Upper(X3COMBO("C5_VEND6",SC5->C5_VEND6))+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
	// aStObra:= RetSx3Box(Posicione('SX3',2,'C5_VEND6','X3CBox()'),,,1)
	// cStatusObra:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...", "minimumResultsForSearch": "-1"}'+"'"'
	// cStatusObra+=' name="C5_VEND6" id="C5_VEND6" '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	// cStatusObra+='<option value=""></option>'
	// For f:= 1 to Len(aStObra)
	// 	cStatusObra+='	<option value="'+Left(aStObra[f,1],2)+'" '+Iif(Left(aStObra[f,1],2)==Alltrim(SC5->C5_VEND6),'selected','')+'>'+aStObra[f,1]+'</option>'
	// Next
	// cStatusObra+='</select>' 


	
	//Seleciona as condies de pagamento disponveis no combo
	cCondPag:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cCondPag+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_CONDPAG" id="C5_CONDPAG" ' 
	cCondPag+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+' onchange="javascript:vldCond()">'                              

	cCondPag+='	<option value="'+SC5->C5_CONDPAG+'">'+SC5->C5_CONDPAG+" - "+Posicione("SE4",1,xFilial("SE4")+SC5->C5_CONDPAG,"E4_DESCRI")+'</option>'		

	If lEdit
		//Verifica a tabela cadastrada no cliente 
		SE4->(dbSeek(xFilial("SE4")+SA1->A1_COND))
		
		//Seleciona as condies de pagamento disponveis no combo
		cQry:= " Select E4_CODIGO, E4_DESCRI, E4_ACRSFIN"
		cQry+= " From "+RetSqlName("SE4")+" SE4 "
		cQry+= " Where E4_FILIAL = '"+xFilial("SE4")+"' "
		cQry+= " And E4_MSBLQL <> '1' "
		cQry+= " And E4_CODIGO NOT IN ('"+SC5->C5_CONDPAG+"') "
		cQry+= " And SE4.D_E_L_E_T_ = ' ' "
		If Select("QRP") > 0
			QRP->(dbCloseArea())
		Endif	
		TcQuery cqry New Alias "QRP"

		While QRP->(!Eof())
			cCondPag+='	<option value="'+QRP->E4_CODIGO+'" '+Iif(Alltrim(QRP->E4_CODIGO) == AllTrim(SC5->C5_CONDPAG),'selected','')+'>'+Alltrim(QRP->E4_CODIGO)+" - "+Alltrim(QRP->E4_DESCRI)+'</option>'
			QRP->(dbSkip())
		End
		QRP->(dbCloseArea())
		
	Endif	
	cCondPag+='</select>'	                             
	
	//Previso Fechamento
	// aPrevisao:= {{"B","Balizador"},{"A","30/120 dias"},{"V","Em 30 dias"},{"M","Aps 4 meses"},{"C","Concorrncia"}}
	// //cPrevFecha:= '		<input id="C5_TERMOME" name="C5_TERMOME" class="form-control" value="'+cPrevisao+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
	// cPrevFecha:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...", "minimumResultsForSearch": "-1"}'+"'"'
	// cPrevFecha+=' name="C5_TERMOME" id="C5_TERMOME" '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	// cPrevFecha+='<option value=""></option>'
	// For f:= 1 to Len(aPrevisao)
	// 	cPrevFecha+='	<option value="'+aPrevisao[f,1]+'" '+Iif(aPrevisao[f,1]==SC5->C5_TERMOME,'selected','')+'>'+aPrevisao[f,2]+'</option>'
	// Next
	// cPrevFecha+='</select>'

	//Intermediador
	// If !(lEdit .or. lCopy)
	// 	cIntermed:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	// 	cIntermed+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' disabled '
	// Else
	// 	cIntermed:='<select class="form-control populate selectpicker" data-live-search="true" '
	// 	cIntermed+='title="Selecione..." '
	// Endif
	// cIntermed+=' name="C5_CLIINTE" id="C5_CLIINTE" >'
	
	// 	cIntermed+='<option data-hidden="true"></option>'
	
	// //Busca a lista de clientes
	// cIntermed+= u_ListaCli(cVendLogin,"QRY->A1_COD==SC5->C5_CLIINTE")
	// cIntermed+='</select>' 

	//Retorno
	// nDiasVal:= 0
	// cRetorno:='<input type="text" id="C5_RETORNO" name="C5_RETORNO" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+'+cvaltochar(nDiasVal)+'d", "language": "pt-BR",'
	// cRetorno+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true","disabled":"true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	// cRetorno+='value="'+dtoc(SC5->C5_RETORNO)+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	//Estudo Luminotcnico
	//cEstudo:= '		<input id="CJ_LUMINOT" name="CJ_LUMINOT" class="form-control" value="'+Upper(X3COMBO("CJ_LUMINOT",SC5->CJ_LUMINOT))+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
	// aEstd:= RetSx3Box(Posicione('SX3',2,'CJ_LUMINOT','X3CBox()'),,,1)
	// aSort(aEstd)
	// cEstudo:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...", "minimumResultsForSearch": "-1"}'+"'"'
	// cEstudo+=' name="CJ_LUMINOT" id="CJ_LUMINOT" '+Iif(lCopy .or. lEdit,'','disabled')+' onchange="javascript:vldEstudo()">'
	// cEstudo+='<option value=""></option>'
	// For f:= 1 to Len(aEstd)
	// 	cEstudo+='	<option value="'+aEstd[f,2]+'" '+Iif(AllTrim(aEstd[f,2]) == AllTrim(SC5->CJ_LUMINOT),'selected','')+'>'+Upper(aEstd[f,3])+'</option>'
	// Next
	// cEstudo+='</select>' 

	// cNumEst:= '	<input id="C5_REGLUMI" name="C5_REGLUMI" maxlength="'+cvaltochar(GetSX3Cache("C5_REGLUMI","X3_TAMANHO"))+'" class="form-control" value="'+SC5->C5_REGLUMI+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
	
	//Segmento
	// aSegmen:= RetSx3Box(Posicione('SX3',2,'CJ_SEGMENT','X3CBox()'),,,1)
	// cSegmento:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...","minimumResultsForSearch": "-1"}'+"'"'
	// cSegmento+=' name="CJ_SEGMENT" id="CJ_SEGMENT" '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	// cSegmento+=' <option value=""></option>'
	// For f:= 1 to Len(aSegmen)
	// 	cSegmento+='	<option value="'+aSegmen[f,1]+'" '+Iif(aSegmen[f,1]==Alltrim(SC5->CJ_SEGMENT),'selected','')+'>'+aSegmen[f,1]+'</option>'
	// Next
	// cSegmento+='</select>' 

	//Prospeco
	// aProsp:= RetSx3Box(Posicione('SX3',2,'C5_PROPECC','X3CBox()'),,,1)
	// aSort(aProsp)
	// cProsp:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...", "minimumResultsForSearch": "-1"}'+"'"'
	// cProsp+=' name="C5_PROPECC" id="C5_PROPECC" onchange="javascript:vldProspec()" '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	// cProsp+='<option value=""></option>'
	// For f:= 1 to Len(aProsp)
	// 	cProsp+='	<option value="'+aProsp[f,2]+'" '+Iif(aProsp[f,2]==SC5->C5_PROPECC,'selected','')+'>'+Upper(aProsp[f,3])+'</option>'
	// Next
	// cProsp+='</select>'

	//Prospectado por
	// aProsp:= RetSx3Box(Posicione('SX3',2,'C5_PROSCOD','X3CBox()'),,,1)
	// cProspPor:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"placeholder": "Selecione...","minimumResultsForSearch": "-1"}'+"'"'
	// cProspPor+=' name="C5_PROSCOD" id="C5_PROSCOD" '+Iif(lCopy .or. lEdit .or. !Empty(SC5->C5_PROSCOD),'','disabled')+'>'
	// cProspPor+=' <option value=""></option>'
	// For f:= 1 to Len(aProsp)
	// 	cProspPor+='	<option value="'+aProsp[f,1]+'" '+Iif(aProsp[f,1]==Alltrim(SC5->C5_PROSCOD),'selected','')+'>'+aProsp[f,1]+'</option>'
	// Next
	// cProspPor+='</select>' 

	
	//Regional
	cRegional:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cRegional+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_REGIAO" id="C5_REGIAO" ' 
	cRegional+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+'>'                              
	If lCopy .or. lEdit
		cRegional+= u_ListaVend(.T.,SC5->C5_VEND1)
	Else
		cRegional+='<option value="'+SC5->C5_VEND1+'">'+SC5->C5_VEND1+" - "+Posicione("SA3",1,xFilial("SA3")+SC5->C5_VEND1,"A3_NOME")+'</option>'
	Endif
	cRegional+='</select>'

	//Vendedor do cliente
	cVend2:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cVend2+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND" id="C5_VEND" ' 
	cVend2+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	If lCopy .or. lEdit
		cVend2+= u_ListaVend(.F.,SC5->C5_VEND2)
	Else
		cVend2+='<option value="'+SC5->C5_VEND2+'">'+SC5->C5_VEND2+" - "+Posicione("SA3",1,xFilial("SA3")+SC5->C5_VEND2,"A3_NOME")+'</option>'
	Endif
	cVend2+='</select>'

	//Vendedor da oportunidade
	cVend3:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-live-search="true" data-plugin-options='+"'" 
	cVend3+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"
	cVend3+=' name="C5_VEND3" id="C5_VEND3" '+Iif(lCopy .or. lEdit,'','disabled')+'>'                              
	If lCopy .or. lEdit
		cVend3+= u_ListaVend(.F.,SC5->C5_VEND3)
	Else
		cVend3+='<option value="'+SC5->C5_VEND3+'">'+SC5->C5_VEND3+" - "+Posicione("SA3",1,xFilial("SA3")+SC5->C5_VEND3,"A3_NOME")+'</option>'
	Endif
	cVend3+='</select>'

	//Vendedor 4
	cVend4:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cVend4+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND4" id="C5_VEND4" ' 
	cVend4+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+'>'                              
	cVend4+= u_Vend04(SC5->C5_VEND4)
	cVend4+='</select>'

	//Especificado por
	// cEspecif:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	// cEspecif+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_CODESP" id="C5_CODESP" ' 
	// cEspecif+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+'>'                              
	// cEspecif+= u_ListaEsp(SC5->C5_CODESP)
	// cEspecif+='</select>'

	//Negociadora
	cNegociad:= '<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cNegociad+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_VEND7" id="C5_VEND7" ' 
	cNegociad+='required="" aria-required="true" '+Iif(lCopy .or. lEdit,'','disabled')+'>'                              
	cNegociad+= u_ListaNeg(SC5->C5_VEND7)
	cNegociad+='</select>'
	
	
	//Validade do Pedido
	// nDiasVal:= GetNewPar("PR_DTVALID",10)
	// cValidade:='<input type="text" id="C5_VALIDA" name="C5_VALIDA" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+'+cvaltochar(nDiasVal)+'d", "language": "pt-BR",'
	// cValidade+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	// cValidade+='value="'+dtoc(SC5->C5_VALIDA)+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	//Data de entrega
	cEntrega:='<input type="text" id="C5_DATENTR" name="C5_DATENTR" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+d", "language": "pt-BR",'
	cEntrega+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	cEntrega+='value="'+dtoc(SC5->C5_DATENTR)+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	//Prazo de embarque
	// cPrazoEmb:= '<input id="C5_PRZEMB" name="C5_PRZEMB" maxlength="'+cvaltochar(GetSX3Cache("C5_PRZEMB","X3_TAMANHO"))+'" class="form-control" value="'+SC5->C5_PRZEMB+'" '+Iif(lCopy .or. lEdit,'','disabled')+' >'
	
	//Tipo de frete
	aTpFrete:= {{"S","Sem Frete"},{"C","CIF"},{"F","FOB"},{"T","Por conta de Terceiros"}, {"R","Por conta do remetente"}, {"D","Por conta do destinatrio"}}
	cTpFrete:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cTpFrete+=' name="C5_TPFRETE" id="C5_TPFRETE" onchange="javascript:VldFrete()" '
	cTpFrete+=' '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	For f:= 1 to Len(aTpFrete)
		cTpFrete+='	<option value="'+aTpFrete[f,1]+'"  '+iif(aTpFrete[f,1] == ALLTRIM(SC5->C5_TPFRETE), 'selected', '')+' >'+aTpFrete[f,2]+'</option>'
	Next

	//Faturamento Parcial
	aFatPar:= {{"2","Sim"},{"1","No"}}
	cFatPar:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cFatPar+=' name="C5_FATPARC" id="C5_FATPARC" onchange="javascript:VldFrete()" '
	cFatPar+=' '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	For f:= 1 to Len(aFatPar)
		cFatPar+='	<option value="'+aFatPar[f,1]+'" '+iif(aFatPar[f,1] == ALLTRIM(SC5->C5_FATPARC), 'selected', '')+' >'+aFatPar[f,2]+'</option>'
	Next
	cFatPar+='</select>'

	//Estagio PV
	aEstagPv:= {{"1","Um"},{"2","Dois"},{"3","Trs"},{"4","Quatro"},{"5","Cinco"},{"6","Seis"},{"7","Sete"}}
	cEstagPv:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cEstagPv+=' name="C5_ESTAGIO" id="C5_ESTAGIO" onchange="javascript:VldFrete()" '
	cEstagPv+=' '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	For f:= 1 to Len(aEstagPv)
		cEstagPv+='	<option value="'+aEstagPv[f,1]+'" '+iif(aEstagPv[f,1] == ALLTRIM(SC5->C5_ESTAGIO), 'selected', '')+' >'+aEstagPv[f,2]+'</option>'
	Next
	cEstagPv+='</select>'

	//T. Oper. Lum
	aOperLum:= {{"T",""},{"1","VND"},{"2","V.ORD"},{"3","S.FAT"},{"4","RM.VOR"},{"5","REM.FAT"},{"6","IND"},{"7","SUC"},{"8","CONSER"},{"9","GARAN"},{"A","TRANSF"},{"O","OTR"},{"B","AMOS"},{"C","BON"},{"D","V.CONS"},{"E","R.CONS"},{"M","ZFM"}}
	cOperLum:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cOperLum+=' name="C5_TIPOLUM" id="C5_TIPOLUM" '
	cOperLum+=' '+Iif(lCopy .or. lEdit,'','disabled')+'>'
	For f:= 1 to Len(aOperLum)
		cOperLum+='	<option value="'+aOperLum[f,1]+'" '+iif(aOperLum[f,1] == ALLTRIM(SC5->C5_TIPOLUM), 'selected', '')+'>'+aOperLum[f,2]+'</option>'
	Next
	cOperLum+='</select>'

	cMailNf:= '<input id="C5_MAILNF" name="C5_MAILNF" class="form-control percentual text-right" placeholder="0,00" maxlength="'+cvaltochar(GetSX3Cache("C5_MAILNF","X3_TAMANHO"))+'" '
	cMailNf+= 'value="'+SC5->C5_MAILNF+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	//Data Emissao
	cEmissao:='<input type="text" id="C5_EMISSAO" name="C5_EMISSAO" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+d", "language": "pt-BR",'
	cEmissao+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	cEmissao+='value="'+dtoc(SC5->C5_EMISSAO)+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	//Envia Pato Branco
	aEnvpb:= {{"T",""},{"SIM","Sim"},{"NAO","No"}}
	cEnvpb:='<select data-plugin-selectTwo class="form-control poulatemb-md" data-plugin-options='+"'"+'{"minimumResultsForSearch": "-1"}'+"'"'
	cEnvpb+=' name="C5_SIBAP" id="C5_SIBAP" '+Iif(lCopy .or. lEdit,'','disabled')+' '
	cEnvpb+=' >'
	For f:= 1 to Len(aEnvpb)
		cEnvpb+='	<option value="'+aEnvpb[f,1]+'" '+iif(aEnvpb[f,1] == ALLTRIM(SC5->C5_SIBAP), 'selected', '')+'  >'+aEnvpb[f,2]+'</option>'
	Next
	cEnvpb+='</select>'

	// cPFrete:= '<input id="C5_PERCFRT" name="C5_PERCFRT" class="form-control percentual text-right" placeholder="0,00" maxlength="'+cvaltochar(GetSX3Cache("C5_PERCFRT","X3_TAMANHO"))+'" '
	// cPFrete+= 'value="'+TransForm(SC5->C5_PERCFRT,"@E 999.99")+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'

	cValFre:= '<input id="C5_FRETE" name="C5_FRETE" class="form-control money text-right" placeholder="0,00" '
	cValFre+= 'value="'+Transform(SC5->C5_FRETE,"@E 999,999,999,999.99")+'" '
	cValFre+= Iif((!lCopy .and. !lEdit) ,'disabled','')+'>'

	//% RT
	cComRT:= '<input id="C5_COMISTR" name="C5_COMISTR" class="form-control percentual text-right" placeholder="0,00" maxlength="'+cvaltochar(GetSX3Cache("C5_COMISTR","X3_TAMANHO"))+'" '
	cComRT+= 'value="'+Transform(SC5->C5_COMISTR,PesqPict("SC5","C5_COMISTR"))+'" '+Iif(lCopy .or. lEdit,'','disabled')+'>'


	//Observao Comercial
	// cObsCom:= SC5->C5_OBS

	//Comentario
	cComent:= SC5->C5_COMENT

	//Justificativa atraso
	cJust:= SC5->C5_JUS

	//Mensagem Nota
	cMenNota:= SC5->C5_MENNOTA
	cMenNota1:= SC5->C5_MENNOT1
	cMenNota2:= SC5->C5_MENNOT2
	cMenNota3:= SC5->C5_MENNOT3

	//Mensagem Nota
	cDesFat:= SC5->C5_DESCFAT
	
	//Margem de Contribuio
	If HttpSession->Tipo <> "R" //Representante
		cMargemCont:= '	<div class="col-lg-2"> '
		cMargemCont+= '		<label class="control-label">MC</label> '
		cMargemCont+= '		<input id="MARGEM" name="MARGEM" class="form-control" value="'+cvaltochar(SC5->C5_YMCPV)+'" disabled >'
		cMargemCont+= '	</div>'
	Endif

	cNumOp:= '	<div class="col-lg-3"> '
	cNumOp+= '		<label class="control-label">No. Oportun.</label> '
	cNumOp+= '		<input id="C5_NROPOR" name="C5_NROPOR" class="form-control" value="'+SC5->C5_NROPOR+'" disabled >'//'+u_getMCOrc() + "%"+'
	cNumOp+= '	</div>'

	//Num Orc
	// If HttpSession->Tipo <> "R" //Representante
		cNumOrc:= '	<div class="col-lg-3"> '
		cNumOrc+= '		<label class="control-label">No. Orc.</label> '
		cNumOrc+= '		<input id="C5_YNUMORC" name="C5_YNUMORC" class="form-control" value="'+SC5->C5_YNUMORC+'" disabled >'//'+u_getMCOrc() + "%"+'
		cNumOrc+= '	</div>'
	// Endif

	//Transportadora	
	cTransp:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cTransp+='{ "placeholder": "Selecione uma Transportadora", "allowClear": false }'+"'"+' name="C5_TRANSP" id="C5_TRANSP" '
	cTransp+='required="" aria-required="true" disabled > '
	cTransp+='	<option value="'+SC5->C5_TRANSP+'">'+Alltrim(Posicione("SA4",1,xFilial("SA4")+SC5->C5_TRANSP,"A4_NOME"))+'</option>'		


	// //Seleciona as transportadoras disponveis no combo
	// cQry:= " Select A4_COD COD, A4_NOME NOME"
	// cQry+= " From "+RetSqlName("SA4")+" SA4 "
	// cQry+= " Where A4_FILIAL = '"+xFilial("SA4")+"' "
	// cQry+= " And A4_COD NOT IN ('"+SA1->A1_TRANSP+"','"+SC5->C5_TRANSP+"') " 
	// cQry+= " And SA4.A4_MSBLQL = '2' " 
	// cQry+= " And SA4.D_E_L_E_T_ = ' ' " 

	// If Select("QRT")> 0
	// 	QRT->(dbCloseArea())
	// Endif	 	
	// APWExOpenQuery(ChangeQuery(cQry),'QRT',.T.)
	
	// While QRT->(!Eof())
	// 	cTransp+='	<option value="'+Alltrim(QRT->COD)+'">'+Alltrim(QRT->NOME)+'</option>'
	// 	QRT->(dbSkip())
	// End	
	
	cTransp+='</select>'


	//Redespacho	
	cRedesp:='<select data-plugin-selectTwo class="form-control populate placeholder mb-md" data-plugin-options='+"'" '
	cRedesp+='{ "placeholder": "Selecione uma Transportadora", "allowClear": false }'+"'"+' name="C5_REDESP" id="C5_REDESP" '
	cRedesp+='required="" aria-required="true" disabled > '
	cRedesp+='	<option value="'+SC5->C5_REDESP+'">'+Alltrim(Posicione("SA4",1,xFilial("SA4")+SC5->C5_REDESP,"A4_NOME"))+'</option>'		
	
	// //Seleciona as transportadoras disponveis no combo
	// cQry:= " Select A4_COD COD, A4_NOME NOME"
	// cQry+= " From "+RetSqlName("SA4")+" SA4 "
	// cQry+= " Where A4_FILIAL = '"+xFilial("SA4")+"' "
	// cQry+= " And A4_COD NOT IN ('"+SA1->A1_TRANSP+"','"+SC5->C5_REDESP+"') " 
	// cQry+= " And SA4.A4_MSBLQL = '2' " 
	// cQry+= " And SA4.D_E_L_E_T_ = ' ' " 

	// If Select("QRT")> 0
	// 	QRT->(dbCloseArea())
	// Endif	 	
	// APWExOpenQuery(ChangeQuery(cQry),'QRT',.T.)
	
	// While QRT->(!Eof())
	// 	cRedesp+='	<option value="'+Alltrim(QRT->COD)+'">'+Alltrim(QRT->NOME)+'</option>'
	// 	QRT->(dbSkip())
	// 	End	
	
	cRedesp+='</select>'
	
	/*
	//Validade do Pedido
	nDiasVal:= GetNewPar("PR_DTVALID",3)
	cValidade:='<input type="text" id="C5_VALIDA" name="C5_VALIDA" data-plugin-datepicker data-plugin-options='+"'"+'{ "startDate": "+'+cvaltochar(nDiasVal)+'d", "language": "pt-BR",'
	cValidade+='"daysOfWeekDisabled": "[0]","daysOfWeekHighlighted":"[0]","autoclose": "true","disabled":"true"}'+"'"+' class="form-control only-numbers" placeholder="__/__/____" '
	cValidade+='value="'+Iif(lCopy,dtoc(date()+nDiasVal),dtoc(SC5->C5_VALIDA))+'" disabled>'
	

	//Peso
	cPeso:= '<input type="text" id="C5_XPESO" name="C5_XPESO" class="form-control text-right only-numbers" placeholder="0" '
	cPeso+= 'value="'+cvaltochar(SC5->C5_XPESO)+'" '+Iif(lCopy .or. lEdit,'',' disabled')+'>'

	//Volume
	cVolume:= '<input type="text" id="C5_XVOLUME" name="C5_XVOLUME" class="form-control text-right only-numbers" placeholder="0" '
	cVolume+= 'value="'+cvaltochar(SC5->C5_XVOLUME)+'"'+Iif(lCopy .or. lEdit,'',' disabled')+'>'

	//Espcie
	cEspecie:= '<input type="text" id="C5_XESPECI" name="C5_XESPECI" class="form-control" placeholder="" '
	cEspecie+= 'value="'+cvaltochar(SC5->C5_XESPECI)+'"'+Iif(lCopy .or. lEdit,'',' disabled')+' maxlength="10">'

	//Combo da tabela de preo
	cTabela:='<select data-plugin-selectTwo class="form-control populate placeholder" data-plugin-options='+"'"
	cTabela+='{ "placeholder": "Selecione...", "allowClear": false }'+"'"+' name="C5_TABELA" id="C5_TABELA" '
	cTabela+='onchange="javascript:selProd()" disabled >'
	cTabela+='	<option value='+SC5->C5_TABELA+'>'+Alltrim(Posicione("DA0",1,xFilial("DA0")+SC5->C5_TABELA,"DA0_DESCRI"))+'</option>'
	cTabela+='</select>'
	HttpSession->Tabela:= SC5->C5_TABELA
    */


	//Preenchimento dos itens	
	/*             
	aItens - array que define o cabealho da tabela de produtos
	[1] - Nome da coluna
	[2] - Nome do campo
	[3] - Tamanho
	[4] - Alinhamento
	[5] - Tipo
	[6] - Editvel
	[7] - Obrigatrio
	[8] - Moeda
	[9] - Placeholder
	[10]- Hidden
	[11] - MaxLength
	*/			
		    


	aAdd(aItens, {"Item","C6_ITEM","*","text-left","C",.F.,.F.,.F.,"",.F.,""})
	aAdd(aItens, {"Produto","C6_PRODUTO","300px"," text-left","C",lEdit,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Unidade","C6_UM","40px"," text-left","C",.F.,.T.,.F.,"",.F.,""})
	aAdd(aItens, {"Quant.","C6_QTDVEN","*"," text-right only-numbers","N",lEdit,.T.,.F.,"0",.F.,""})
	aAdd(aItens, {"Vlr Unitrio","C6_PRCVEN","*"," text-right","N",.T.,.F.,.T.,"0,00",.F.,""})
	// aAdd(aItens, {"Vlr Lista","C6_PRUNIT","*"," text-right","N",.T.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Total","C6_VALOR","*"," text-right","N",.F.,.T.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Data Ent.","C6_ENTREG","*"," text-right","C",.T.,.F.,.F.,"",.F.,"10"})
	aAdd(aItens, {"Tip. Oper.","C6_OPER","100px"," text-left","C",.T.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Tip. Saida","C6_TES","100px"," text-left","C",.T.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"Cod. Fisc.","C6_CF","100px"," text-left","C",.T.,.T.,.F.,"Selecione...",.F.,""})
	// aAdd(aItens, {"NCM","C6_POSIPI","100px"," text-left","C",.F.,.T.,.F.,"Selecione...",.F.,""})
	aAdd(aItens, {"% Comis 2","C6_COMIS2","*"," text-right ","N",.T.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"% Comis 3","C6_COMIS3","*"," text-right ","N",.T.,.F.,.T.,"0,00",.F.,""})
	// aAdd(aItens, {"% Comis 4","C6_COMIS4","*"," text-right ","N",.F.,.F.,.T.,"0,00",.F.,""})
	aAdd(aItens, {"Ped. Cli.","C6_PEDCLI","*"," text-left","C",.T.,.F.,.F.,"",.F.,"80"})
	aAdd(aItens, {"I.Ped.Cli.","C6_IPEDCLI","*"," text-left","C",.T.,.F.,.F.,"",.F.,"80"})
	aAdd(aItens, {"Vlr c/ Impostos","C6_XPRCIMP","*","text-right","N",.F.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"Vlr de Venda","iC6_PRCVEN","*"," text-right myformato","N",.F.,.T.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"Custo","C6_CUSTO","*"," text-right myformato","N",.F.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"IPI","C6_XVALIPI","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"ICMS","C6_XVALICM","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"ICMS ST","C6_XICMST","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"% Desconto","C6_DESCONT","*"," text-right percentual","N",.T.,.F.,.T.,"0,00",/*Iif(HttpSession->Tipo <> "R",.F.,.T.)*/ .T. ,"7"})
	// aAdd(aItens, {"Diretor","C6_NOMDIRE","*"," text-left","C",.T.,.F.,.T.,"",.T.,"12"})
	aAdd(aItens, {"Vlr Comisso","VAL_COM","*"," text-right","N",.T.,.F.,.T.,"0,00",.T.,""})
	aAdd(aItens, {"","ACAO","*"," text-center","X",.T.,.F.,.F.,"",.F.,""})

	// Cria o cabealho dos Itens
	For nLin := 1 to Len(aItens)
		cOrcCabec += '<th'+Iif(aItens[nLin,2] == "C6_VALOR",' width="'+aItens[nLin,3]+'"',Iif(aItens[nLin,2] == "C6_PRODUTO",' width="'+aItens[nLin,3]+'"',''))
		cOrcCabec+= Iif(aItens[nLin,10],' hidden','')+'>'+aItens[nLin][1]+'</th>'
	Next 
	
	dbSelectArea("SC6")
	SC6->(dbSeek(SC5->C5_FILIAL+SC5->C5_NUM))
	While SC6->(!Eof()) .and. SC6->C6_FILIAL == SC5->C5_FILIAL .and. SC6->C6_NUM == SC5->C5_NUM 
		nItens++
		
		cItem := StrZero(nItens,TamSX3("C6_ITEM")[1])
		Posicione("SB1",1,xFilial("SB1")+SC6->C6_PRODUTO,"B1_DESC")	
		If SB5->(MsSeek(xFilial("SB5")+SC6->C6_PRODUTO)) 
			If SB5->B5_DTVLESP + 30 < dDataBase
				lVencido:= .T.
			Endif
		Endif
		cOrcItens += '<tr class="odd" id="linha'+StrZero(nItens,2)+'">'
		
		// nTImpostos += SC6->(C6_ST+C6_IPI)
        nTQtdItem += SC6->C6_QTDVEN
		nTVlrUnit +=  Round(SC6->C6_QTDVEN * SC6->C6_PRCVEN,2)			
		// nTVlrSDesc+= nTVlrUnit - SC6->C6_VLDSCAC
		nTTotal +=  SC6->C6_VALOR // + SC6->(C6_IPI+C6_ST)
		// nPerCom:= SC6->C6_COMIS1
        // nValCom:= SC6->C6_COMISSA //(SC6->C6_QTDVEN * SC6->C6_PRCVEN) * (nPerCom/100)
        // nTComiss+= nValCom
        		
        // gera os produtos de acordo com o Cliente e Tabela
        cOptProd := u_GetProdOrc(SC5->C5_CLIENTE, SC5->C5_TABELA, "")
        
		For nLin := 1 to Len(aItens)
			
			If aItens[nLin,2] == "ACAO"
				cOrcItens += '<td class="actions">' 
				If lEdit .or. lCopy //!lDele 
					//cOrcItens += '	<a href="#" id="btnRemItm" name="btnRemItm" class="on-default remove-row"><i class="fa fa-times-circle"></i></a>'
					//cOrcItens += '	<i class="fa fa-info fa-lg" data-toggle="tooltip" data-original-title="Detalhes da linha" onclick="detalheOrc('+"'"+cItem+"'"+');"></i>'
					If lEdit .or. lCopy
						cOrcItens += '  <i class="fa fa-times-circle fa-lg" data-toggle="tooltip" data-original-title="Remover a linha" onclick="removeItem('+"'"+cItem+"'"+');"></i>
					Endif
				Endif
				If !lDele
					cOrcItens += '	<i class="fa fa-info fa-lg" data-toggle="tooltip" data-original-title="Detalhes da linha" onclick="detalhePed('+"'"+cItem+"'"+');"></i>'
				Endif
				cOrcItens += '</td>
			Else
				If aItens[nLin,2] == "C6_PRODUTO"
					cOrcItens += '<td>' //class="form-group row pb-4"
				Else	
					cOrcItens += '<td'+Iif(!Empty(aItens[nLin][4]),' align="'+aItens[nLin][4]+'"',"")+Iif(aItens[nLin,10],'hidden','')+'>'
				Endif

				lMoeda:= aItens[nLin,8] //Indica se  Moeda  			
				lNumber:= aItens[nLin,5] = "N" //Indica que  numrico  			
				xValue:= ""
								
				Do Case
					Case aItens[nLin][5] == 'C'
						If aItens[nLin,2] == "C6_PRODUTO"
							xValue := AllTrim(SC6->&(aItens[nLin][2]))+' - '+Alltrim(SB1->B1_DESC)
						Else
							xValue := AllTrim(SC6->&(aItens[nLin][2]))
						Endif
					Case aItens[nLin][5] == 'N'
						If aItens[nLin,2] == "C6_QTDVEN"
							
							xValue := Iif(lNewOrc,"",Alltrim(cvaltochar(SC6->&(aItens[nLin][2]))))
					
						
						ElseIf aItens[nLin,2] == "PER_COM"
							xValue := Iif(lNewOrc,"",Alltrim(PadR(TransForm(nPerCom,PesqPict("SD2","D2_COMIS1")),TamSX3("D2_COMIS1")[1])))
						ElseIf aItens[nLin,2] == "VAL_COM"
							xValue := Iif(lNewOrc,"",Alltrim(PadR(TransForm(nValCom,PesqPict("SC6","C6_PRCVEN")),TamSX3("C6_PRCVEN")[1])))
						ElseIf aItens[nLin,2] == "iC6_PRCVEN"
						    //xValue := Iif(lNewOrc,"",Alltrim(cvaltochar(SC6->C6_PRCVEN)))
						    xValue := Iif(lNewOrc,"",Alltrim(TransForm(SC6->C6_PRCVEN,PesqPict("SC6","C6_PRCVEN"))))
						Elseif aItens[nLin,2] == "C6_PRCVEN"	
							xValue := Alltrim(TransForm(SC6->C6_PRUNIT,PesqPict("SC6","C6_PRUNIT")))
						Elseif aItens[nLin,2] == "C6_VALOR"	
							xValue := Alltrim(TransForm(SC6->(C6_VALOR/*+C6_XVALIPI+C6_XICMST*/),PesqPict("SC6",aItens[nLin,2])))
						Else
							If SC6->(FieldPos(aItens[nLin][2])) > 0
								xValue := Alltrim(TransForm(SC6->&(aItens[nLin][2]),PesqPict("SC6",aItens[nLin,2])))	
							Else
								xValue := ""
							Endif		
						Endif	
				EndCase  
			   
				If aItens[nLin,6] //Campo Editvel
					If aItens[nLin,2] == "C6_PRODUTO"
					   //Cria o select para o produto
					   	If lEdit .or. lCopy
							cOrcItens +='<div class="form-group">'
							cOrcItens +='	<div class="col-md-12">
							cOrcItens +='		<div class="flexContainer">
							cOrcItens +='			<input type="text" class="form-control smsediticon" placeholder="Digite o cdigo ou descrio..." '
							cOrcItens +='			name="C6_PRODUTO'+cItem+'" id="C6_PRODUTO'+cItem+'"'
							cOrcItens += 			Iif(aItens[nLin][7],'required="" aria-required="true" ','')+' data-live-search="true" '
							cOrcItens +='			autocomplete="off" value="'+Alltrim(SC6->C6_PRODUTO)+' -- '+Alltrim(SB1->B1_DESC)+'" >'

							cOrcItens +='			<button class="btSearch" id="btSearch"'+cItem+'>'
							cOrcItens +='				<i class="fa fa-search" alt="Pesquisar"></i>'
							cOrcItens +='			</button>
							cOrcItens +='		</div>
							cOrcItens +='	</div>
							cOrcItens +='</div>
						Else
							cOrcItens +='<select class="selectpicker" name="C6_PRODUTO'+cItem+'" id="C6_PRODUTO'+cItem+'" '
							cOrcItens += Iif(aItens[nLin][7],'required="" aria-required="true" ','')+' data-live-search="true" '                                           
							cOrcItens +=' data-width="484px" disabled>' //style="size:4" data-width="90%" style="height:90%"
							cOrcItens += GetProdOrc(SC5->C5_CLIENTE, SC5->C5_TABELA, SC6->C6_PRODUTO)
							cOrcItens+='</select>'
						Endif
					Else
						cOrcItens += '<input id="'+aItens[nLin][2]+cItem+'" data-prop="'+aItens[nLin][2]+'" name="'+aItens[nLin][2]+cItem+'" class="form-control'
						cOrcItens += Iif(lNumber, aItens[nLin][4], "")
						cOrcItens +=If(lMoeda," ",If(lNumber," only-numbers",""))+'" type="text" '
					 	cOrcItens += 'placeholder="'+aItens[nLin,9]+'" '
					 	
					 	//Atribui as funes javascript 
					 	If aItens[nLin,2] == "C6_QTDVEN"
					 		cOrcItens+='onblur="javascript:VldQtd('+"'"+cItem+"'"+') "'
					 	Endif
					 	
					 	If aItens[nLin,2] == "iC6_PRCVEN"
					 		cOrcItens+='onblur="javascript:VldValor('+"'"+cItem+"'"+') " '
					 	Endif 
					 	
					 	If aItens[nLin,2] == "C6_DESCONT"
							cVldDesc:= Iif(GetMv("LC_OR1012A",,.F.),'S','N') 
					 		cOrcItens+='onblur="javascript:VldValor('+"'"+cItem+"'"+','+"'"+cVldDesc+"'"+')" maxlength="7" '		 
					 	Endif
				 		
						If aItens[nLin,2] $ ("C6_QTDVEN|iC6_PRCVEN|C6_DESCONT")
							cOrcItens+='onkeyup="javascript:TotalItem('+"'"+cItem+"'"+') "'
						Endif

						If aItens[nLin,2] $ ("C6_COMIS2|C6_COMIS3|C6_COMIS4")
							cOrcItens+='onkeyup="javascript:validaComis('+"'"+cItem+"'"+', this) "'
						Endif
						
					 	//Campo obrigatrio
						cOrcItens += Iif(aItens[nLin][7],'required="" aria-required="true" ','')
						
						If lEdit //Inicia todos os campos desabilitados caso no for para editar ou copiar 
							If aItens[nLin,2] <> "C6_QTDVEN" .And. !(aItens[nLin,2] $ "C6_DESCONT") //.And. aItens[nLin,2] <> "C6_XPEDCLI" .And. aItens[nLin,2] <> "C6_XITEMCL"
								cOrcItens += 'disabled '
							EndIf
						Else
							cOrcItens += 'disabled '
						EndIf
						cOrcItens += 'value="'+Alltrim(xValue)+'">'
				    Endif
				Else
					cOrcItens += '<input id="'+aItens[nLin][2]+cItem+'" data-prop="'+aItens[nLin][2]+'" name="'+aItens[nLin][2]+cItem+'" '
					cOrcItens += 'class="form-control input-block '+Iif(lNumber, aItens[nLin][4], "")+'" '
					cOrcItens += 'type="text" disabled width="" '
					If aItens[nLin,2] $ "C6_PRODUTO|C6_OBS"
						cOrcItens += 'title="'+Alltrim(xValue)+'" ' 
					Endif
					cOrcItens += 'value="'+Alltrim(xValue)+'">'
				Endif
			Endif			
		    	    
			cOrcItens += '</td>' 
		Next	                                                                      	
		
			//Inputs Hidden
			//cItensHid += '<input type="hidden" class="" id="ALIQ_ICMS'+cItem+'" name="ALIQ_ICMS'+cItem+'" value="'+cValtochar(SC6->C6_CARICMS)+'">'
			//cItensHid += '<input type="hidden" class="" id="ALIQ_IPI'+cItem+'" name="ALIQ_IPI'+cItem+'" value="'+cValtochar(SC6->C6_XALIIPI)+'">'
			//cItensHid += '<input type="hidden" class="" id="ALIQ_ST'+cItem+'" name="ALIQ_ST'+cItem+'" value="'+cValtochar(SC6->C6_MCPERST)+'">'
			cItensHid += '<input type="hidden" class="" id="C6_COMIS4'+cItem+'" name="C6_COMIS4'+cItem+'" value="'+Alltrim(Transform(SC6->C6_COMIS4,PesqPict("SC6","C6_COMIS4")))+'">'
			cItensHid += '<input type="hidden" class="" id="C6_POSIPI'+cItem+'" name="C6_POSIPI'+cItem+'" value="'+Alltrim(Transform(SC6->C6_POSIPI,PesqPict("SC6","C6_POSIPI")))+'">'
			cItensHid += '<input type="hidden" class="" id="C6_PRUNIT'+cItem+'" name="C6_PRUNIT'+cItem+'" value="'+Alltrim(Transform(SC6->C6_PRUNIT,PesqPict("SC6","C6_PRUNIT")))+'">'
			cItensHid += '<input type="hidden" class="" id="VAL_ICMS'+cItem+'" name="VAL_ICMS'+cItem+'" value="'+Alltrim(Transform(SC6->C6_ICMS,PesqPict("SC6","C6_ICMS")))+'">'
			cItensHid += '<input type="hidden" class="" id="VAL_IPI'+cItem+'" name="VAL_IPI'+cItem+'" value="'+Alltrim(Transform(SC6->C6_IPI,PesqPict("SC6","C6_IPI")))+'">'
			cItensHid += '<input type="hidden" class="" id="VAL_ST'+cItem+'" name="VAL_ST'+cItem+'" value="'+Alltrim(Transform(SC6->C6_ST,PesqPict("SC6","C6_ST")))+'">'
			cItensHid += '<input type="hidden" class="" id="BASE_ICMS'+cItem+'" name="BASE_ICMS'+cItem+'" value="0">'
			cItensHid += '<input type="hidden" class="" id="BASE_ST'+cItem+'" name="BASE_ST'+cItem+'" value="0">'
			cItensHid += '<input type="hidden" class="" id="BASE_IPI'+cItem+'" name="BASE_IPI'+cItem+'" value="0">'
			cItensHid += '<input type="hidden" class="" id="IMP_PRCTAB'+cItem+'" name="IMP_PRCTAB'+cItem+'" value="0">'
			cItensHid += '<input type="hidden" class="" id="QTD_EMB'+cItem+'" name="QTD_EMB'+cItem+'" value="'+cValtochar(SB1->B1_QE)+'">'
			cItensHid += '<input type="hidden" class="" id="C6_TES'+cItem+'" name="C6_TES'+cItem+'" value="'+SC6->C6_TES+'">'
			cItensHid += '<input type="hidden" class="" id="QTDMIN'+cItem+'" name="QTDMIN'+cItem+'" value="">'
			cItensHid += '<input type="hidden" class="" id="GRUPO'+cItem+'" name="GRUPO'+cItem+'" value="'+SB1->B1_GRUPO+'">'
			cItensHid += '<input type="hidden" class="" id="VENCIMENTO'+cItem+'" name="VENCIMENTO'+cItem+'" value="'+Iif(lVencido,'1','0')+'">'
			cItensHid += '<input type="hidden" class="" id="B1_COMIS'+cItem+'" name="B1_COMIS'+cItem+'" value="'+SB1->B1_COMIS+'">'
			cOrcItens+=cItensHid

			
		SC6->(dbSkip())
	End                 
	
	
	//nTAcresc:= Round(nTTotal*(nAcresc/100),2)
	nTTotal+= nTFrete
	//nTTotal+= nTFrete+nTAcresc
	
	cOrcItens += '<input type="hidden" name="QtdItens" id="QtdItens" value="'+cValtoChar(nItens)+'"/>'
	cOrcItens += '<input type="hidden" id="PROXIMO" name="PROXIMO" value="'+StrZero(nItens,2)+'"/>
	cOrcItens += '<input type="hidden" class="" name="C5_NUM" id="C5_NUM" value="'+IIf(lCopy, "", SC5->C5_NUM)+'" />'
	cOrcItens += '<input type="hidden" name="OPCAO" id="OPCAO" value="'+cValtoChar(nOpc)+'" />'
	cOrcItens += '<input type="hidden" name="DESCCOND" id="DESCCOND" value="" />'
	// cOrcItens += '<input type="hidden" name="C5_DSDIRET" id="C5_DSDIRET" value="'+IIf(lCopy, "", cvaltochar(SC5->C5_DSDIRET))+'" />'
	cOrcItens += '<input type="hidden" name="FRETEMIN" id="FRETEMIN" value="'+cvaltochar(GetMv("MV_FRETMIN"))+'" />'
	
	cOrcItens += '</tr>'	
	//Adiciona os botes de aes na tabela de itens
	If lEdit
		cBtnItens+='<div class="row form-group">'	              
		cBtnItens+='	<div class="col-sm-2">' 
		cBtnItens+='		<button class="btn btn-primary" id="btAddItm" name="btAddItm">' //onclick="javascript:newItem()" >'
		cBtnItens+='			<i class="fa fa-plus-square"></i> Novo Item</button>'
		cBtnItens+='	</div>'  
		cBtnItens+='</div>'
	Endif
	
	//Adiciona os botes da pgina
	If lEdit
		//cBotoes+='<h5 class="text-primary">Pedido vlido apenas dentro do ms de '+MesExtenso(SC5->C5_EMISSAO)+' de '+cvaltochar(Year(SC5->C5_EMISSAO))+'.</h5>'
		cBotoes+='<input class="btn btn-primary" type="button" id="btSalvar" name="btSalvar" value="Salvar"/>'+chr(13)+chr(10)
	Elseif lDele
		cBotoes+='<input class="btn btn-primary " type="button" id="btExcluir" name="btExcluir" value="Excluir"/>'+chr(13)+chr(10)
	Endif
	cBotoes+='<input class="btn btn-primary" type="button" id="btVoltar" name="btVoltar" value="Voltar" onclick="javascript: location.href='+"'"+'U_Pedidos.apw?PR='+cCodLogin+"';"+'"/>'+chr(13)+chr(10)
	
	//Totalizador disponvel apenas para regional
	If HttpSession->Tipo <> "R"
		cTotalReg:='<div class="col-sm-12">'
		cTotalReg+='	<label class="">Itens sem Desconto&nbsp;</label>'               
		cTotalReg+='	<input class="form-control text-right" id="TOTAL_ITENS_NODESC" name="TOTAL_ITENS_NODESC"  placeholder="0,00" disabled="" type="text" value="'+Transform(nTVlrSDesc,"@E 999,999,999,999.99")+'"></input>'
		cTotalReg+='	&nbsp;&nbsp;&nbsp;&nbsp;'
		cTotalReg+='	<label class="">Itens sem Desconto+Impostos&nbsp;</label>'
		cTotalReg+='	<input class="form-control text-right" id="TOTAL_NODESC_IMP" name="TOTAL_NODESC_IMP"  placeholder="0,00" disabled="" type="text" value="'+Transform(nTVlrSDesc+nTImpostos,"@E 999,999,999,999.99")+'"></input>'
		cTotalReg+='</div>'
		cTotalReg+='<br>'
		cTotalReg+='<br>'

		cShowDesc	:= 'true'
	Endif
	//Retorna o HTML para construo da pgina 
	cHtml := H_AddPed()
	
Web Extended End

Return (cHTML) 


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     ExcOrc       Autor  Anderson Zelenski    Data 10.12.17 
+----------+------------------------------------------------------------
Descrio  Exclui o Pedido de Venda								  
+-----------------------------------------------------------------------+

*/
User Function ExcPed()                                            
Local cHtml
Local nOpc		:= 5 // 3- Incluir / 4- Alterar / 5- Excluir 
Local cCliente	:= ""
Local cLoja		:= ""
Local cNumOrc	:= ""
Local cDirErro  := "erro\"

Private cReturn
Private aCabSC5 :={}
Private aItemSC5:={}
Private aLinhaSC5:={}
Private lMsErroAuto:= .F.
Private cCodLogin := ""
Private cVendLogin:= ""
Private INCLUI := .F.
Private ALTERA := .F.
Web Extended Init cHtml Start U_inSite()

    //Verifica se no perdeu a sesso
    If type("HttpSession->CodVend") = "U" .or. Empty(HttpSession->CodVend)
		conout(Procname()+"("+ltrim(str(procline()))+") *** Portal "+"Sessao encerrada")
		cHtml:= '<META HTTP-EQUIV="Refresh" CONTENT="0 ; URL=U_SMSPortal.apw">'
		return cHtml
	Endif	

	cVendLogin := u_GetUsrPR()
	cCodLogin  := U_SetParPR(cVendLogin)

    //Variveis do cabealho
    cCliente:= Left(HttpPost->C5_CLIENTE,6)
	cLoja:= Right(HttpPost->C5_CLIENTE,6)
	cNumOrc:= HttpPost->C5_NUM 
	
	nModulo:= 5
	
	//Posiciona nas tabelas
	If !Empty(cCliente)
		Posicione("SA1",1,xFilial("SA1")+Alltrim(HttpPost->C5_CLIENTE),"A1_COD")
	Endif
	
	//Posiciona no Pedido
	Posicione("SC5",1,xFilial("SC5")+cNumOrc,"C5_NUM")
	cFilOrc:= SC5->C5_FILIAL
		
	//Monta o cabealho
	aadd(aCabSC5,{"C5_NUM",cNumOrc,Nil})
	aadd(aCabSC5,{"C5_CLIENTE",SA1->A1_COD,Nil})
	aadd(aCabSC5,{"C5_LOJA", SA1->A1_LOJA ,Nil})
	
	aLinhaSC5:={}
	
    //Monta os itens
	lMsErroAuto:= .F.
	
	//Chama execauto para incluso do Pedido
	If Len(aCabSC5) > 0 
		MATA410(aCabSC5,aItemSC5,nOpc)
	Else
		conout(Procname()+"("+ltrim(str(procline()))+") *** Portal "+"FALHA AO EXCLUIR O Pedido!")
		lMsErroAuto:= .T.
	Endif

	If lMsErroAuto
		If !ExistDir(cDirErro)
			MakeDir(cDirErro)
		Endif	
		
		cDirErro+=dtos(date())
		If !ExistDir(cDirErro)
			MakeDir(cDirErro)
		Endif
		
		//Grava o erro
  		MostraErro(cDirErro,"erro_orcto_"+strtran(time(),":","")+".txt")
	   	cHtml:= "erro" 
	Else            
		
		SC5->(dbGoBottom())
		cHtml:= SC5->C5_NUM
	EndIf
			
Web Extended End

Return (cHTML) 


/*__________________________________________________________________________

+-----------------------------------------------------------------------+
Funo     GetMCOrc 	 Autor  Anderson Zelenski  Data  02.12.23 
+----------+------------------------------------------------------------
Descrio  Funo para calcular a margem de contribuio do Pedido.   
+-----------------------------------------------------------------------+

*/
User Function GetMCPed()
Local cMargem	:= ""
Local cQry		:= ""
Local nMkt		:= 0
Local nMktP		:= 0
Local nMC		:= 0
Local nMC_T		:= 0
Local nMCTotIt	:= 0
Local nCusto	:= 0
Local nICMS		:= 0
Local nComis2	:= 0
Local nComis3	:= 0
Local nPIS		:= 0
Local nCofins	:= 0
Local nComissao	:= 0
Local nRT		:= 0
Local nIPI		:= 0
Local nFrete	:= 0
Local nSubsTrb	:= 0
Local nSubsCus	:= 0
Local nST		:= 0
Local nINSSP	:= 0
Local nRecLiq	:= 0
Local nMargemT	:= 0


cQry:= "Select * From "+RetSqlName("SC6")+" SC6 "
cQry+= "Inner Join "+RetSqlName("SB1")+" SB1 ON B1_FILIAL = '"+xFilial("SB1")+"' AND B1_COD = C6_PRODUTO AND SB1.D_E_L_E_T_ = ' ' "
cQry+= "Where C6_FILIAL = '"+SC5->C5_FILIAL+"' "
cQry+= "AND C6_NUM = '"+SC5->C5_NUM+"' "
cQry+= "AND SC6.D_E_L_E_T_ = ' ' "
If Select("TMP1") > 0
	TMP1->(dbCloseArea())
Endif
TcQuery cQry New Alias "TMP1"

// passa por todos os itens do pedido
While !TMP1->(EOF())

	nMkt		:= 0
	nCusto		:= TMP1->C6_CUSTO
	nICMS		:= TMP1->C6_ICMS
	nComis2		:= TMP1->C6_COMIS1
	nComis3		:= TMP1->C6_COMIS3
	nPIS		:= TMP1->C6_PIS
	nCofins		:= TMP1->C6_COFINS
	nComissao	:= TMP1->C6_COMISSA
	nRT			:= TMP1->C6_RT
	nIPI		:= TMP1->C6_IPI
	nFrete		:= TMP1->C6_FRETE
	nSubsTrb	:= TMP1->C6_SUBSTRB
	nSubsCus	:= TMP1->C6_SUBSCUS
	nST			:= TMP1->C6_ST
	nINSSP		:= TMP1->C6_INSSP
	// calcula receita liquida
	nRecLiq		:= TMP1->C6_VALOR - nICMS - nPIS - nCofins - nINSSP

	// se existe o campo de % do mkt
	If TMP1->(FieldPos("C6_MKTP")) > 0
		nMktP:= TMP1->C6_MKTP
	Endif

	// se existe o campo de vlr de mkt
	If TMP1->(FieldPos("C6_MKT")) > 0
		nMkt:= TMP1->C6_MKT
	Endif

	// calcula o valor da margem
	nMC:= ((TMP1->C6_VALOR - nCusto - nICMS - nPIS - nCofins - nFrete - nComissao - nINSSP - nRT - nMkt) + nSubsTrb + nSubsCus)
	
	// Carrega as Variaveis	Totalizador Pedido, Luminarias e Equipamentos.
	If Alltrim(TMP1->B1_TIPO) == "CO" .AND. Alltrim(TMP1->B1_GRUPO) == "ELEV"
		// soma a margem total
		nMC_T    := nMC_T + (TMP1->C6_VALOR * -1)
		// soma o valor total
		nMCTotIt := nMCTotIt + TMP1->C6_VALOR
	Else
		// se nao  do grupo pan e nao so acessorios de painel de led
		If Alltrim(TMP1->B1_GRUPO) <> 'PAN' .and. !(AllTrim(TMP1->C6_PRODUTO) $ "ACS-LHT44BC/ACS-LHT44PT")
			// soma a margem total
			nMC_T    := nMC_T + nMC
			// soma o valor total
			nMCTotIt := nMCTotIt + TMP1->C6_VALOR
		EndIf
	EndIf
	
	TMP1->(dbSkip())
End

cMargem:= Transform(((nMC_T / nMCTotIt)*100),"@E 9999.99")

Return cMargem
