//-------------------------------------------------------------------------
// Funo ORCA1019. UF e Mun. de Entrega.
// Solicitante: Comercial.
// Autor: Fonseca.
// Data: 21-08-2014.
//--------------------------------------------------------AA-----------------
#include 'protheus.ch'
#include 'rwmake.ch'
#include 'totvs.ch'      
#include "topconn.ch"

User Function ORCA1019()
	Local aArea     := GetArea()           
	Private cUFCli  := Posicione("SA1",1,xFilial('SA1')+ CJ_CLIENTE + CJ_LOJA,"A1_EST")
	Private cMunCli := Posicione("SA1",1,xFilial('SA1')+ CJ_CLIENTE + CJ_LOJA,"A1_COD_MUN")	

	If Funname() = "RPC" //Portal SMS
		Return
	Endif

	// Informar o Endereo de Entrega.
	If MsgNoYes("O Local de entrega  DIFERENTE do informado no cadastro do cliente ?","Local de Entrega")
		cUFCli := Space(2)
		cMunCli := Space(5)
		TelaEnd()     
		If Select("QRY") > 0
			dbSelectArea("QRY")
			QRY->(dbCloseArea())
		Endif
		cQuery := "SELECT Trim(CC2_MSGCOM) MSGCOM FROM CC2010 WHERE D_E_L_E_T_ = ' '  AND CC2_CODMUN = '" + cMunCli + "' AND CC2_EST = '" + cUFCli + "'"
		TcQuery cQuery New Alias "QRY"
		If QRY->(!EOF()) .AND. QRY->MSGCOM <> ' '
			MsgAlert(QRY->MSGCOM,"Ateno")	
		EndIf
	EndIf                         

  	RestArea(aArea)	
Return(Trim(cUFCli)+Trim(cMunCli)+" - "+Trim(Posicione("CC2",1,"  "+Trim(cUFCli)+Trim(cMunCli),"CC2_MUN")))

Static Function TelaEnd()
	Local oFont1 := TFont():New("Calibri",,016,,.F.,,,,,.F.,.F.)
	Local oFont2 := TFont():New("Calibri",,016,,.T.,,,,,.F.,.F.)
	// Local cGet1  := Space(2)
	// Local cGet2  := Space(6)	
	Local oButton1
	Local oSay1
	Local oSay2	
	Local oDlg

	DEFINE MSDIALOG oDlg TITLE "UF e Municpio de Entrega" FROM 000,000  TO 150,330 COLORS 0,16777215 PIXEL
	@ 017,005 SAY oSay1 PROMPT "UF: " SIZE 030,012 OF oDlg COLORS 0,16777215 FONT oFont1 PIXEL
	@ 032,005 SAY oSay2 PROMPT "Municpio: " SIZE 030,012 OF oDlg COLORS 0,16777215 FONT oFont1 PIXEL	
	@ 013,038 MSGET oGet1 VAR cUFCli  SIZE 20,012 OF oDlg PICTURE "@!" Valid IIF(!Empty(cUFCli),ExistCpo("SX5","12"+cUFCli)," ") COLORS 0,16777215 FONT oFont2 PIXEL
	@ 030,038 MSGET oGet2 VAR cMunCli SIZE 20,012 OF oDlg PICTURE "@!" F3 "CC2SCJ"	Valid IIF(!Empty(cUFCli),ExistCpo("CC2",cUFCli+cMunCli)," ")COLORS 0,16777215 FONT oFont2 PIXEL	
	@ 060,120 BUTTON oButton1 PROMPT "Confirma" SIZE 040,012 ACTION oDlg:END() OF oDlg PIXEL
	ACTIVATE MSDIALOG oDlg CENTERED                                    
Return
